(function() {
	tinymce.PluginManager.add('offshoresc', function( editor, url ) {

		function offshore_media_button() {
		    jQuery('.offshore-media-btn').off( 'click' ).on( 'click', function(e) {
		        var $this = jQuery(this);
		        var image = wp.media({ 
		            title: 'Upload Image',
		            // mutiple: true if you want to upload multiple files at once
		            multiple: false
		        }).open()
		        .on('select', function(e){
		            // This will return the selected image from the Media Uploader, the result is an object
		            var uploaded_image = image.state().get('selection').first();
		            // We convert uploaded_image to a JSON object to make accessing it easier
		            // Output to the console uploaded_image
		            // console.log(uploaded_image.toJSON());
		            var json = uploaded_image.toJSON();
		            var image_url = json.url;
		            var image_id = json.id;
		            // Let's assign the url value to the input field
		            $this.parent().find('.offshore-file-preview').html('<img src="'+image_url+'" />');
		            $this.parent().find('.offshore-file-id').val(image_id);
		            $this.prev('.offshore-text').val(image_url);
		        });
		    });
		}

		//add button
		editor.addButton('offshoresc', {
			icon: true,
            image: url + '/img/offshore.png',
			tooltip: 'Offshore ShortCodes',
			onclick: function() {
				(function( $ ) {
					// Create a modal view class
	                var Modal = Backbone.Modal.extend({
	                    template: _.template( $('#offshore-modal-template').html() ),
	                    viewContainer: '.offshore-modal-container',
	                    submitEl: '.done',
	                    cancelEl: '.cancel',
	                    views: {
				          	'click #main': {
				            	view: _.template($('#offshore-modal-main').html())
				          	},
				          	'click #alert': {
				            	view: _.template($('#offshore-modal-alert').html())
				          	},
				          	'click #accordion': {
				            	view: _.template($('#offshore-modal-accordion').html())
				          	},
				          	'click #blockquote': {
				            	view: _.template($('#offshore-modal-blockquote').html())
				          	},
				          	'click #button': {
				            	view: _.template($('#offshore-modal-button').html())
				          	},
				          	'click #contact-form': {
				            	view: _.template($('#offshore-modal-contact-form').html())
				          	},
				          	'click #drop-cap': {
				            	view: _.template($('#offshore-modal-drop-cap').html())
				          	},
				          	'click #tab': {
				            	view: _.template($('#offshore-modal-tab').html())
				          	},
				          	'click #columns': {
				            	view: _.template($('#offshore-modal-columns').html())
				          	},
				          	'click #icon-list': {
				            	view: _.template($('#offshore-modal-icon-list').html())
				          	},
				          	'click #lists': {
				            	view: _.template($('#offshore-modal-lists').html())
				          	},
				          	'click #table': {
				            	view: _.template($('#offshore-modal-table').html())
				          	},
				          	'click #social-icons': {
				            	view: _.template($('#offshore-modal-social-icons').html())
				          	},
				          	'click #dual-image': {
				            	view: _.template($('#offshore-modal-dual-image').html())
				          	},
				          	'click #section': {
				            	view: _.template($('#offshore-modal-section').html())
				          	},
				          	'click #progress-bar': {
				            	view: _.template($('#offshore-modal-progress-bar').html())
				          	},
				          	'click #counter': {
				            	view: _.template($('#offshore-modal-counter').html())
				          	},
				          	'click #service-box': {
				            	view: _.template($('#offshore-modal-service-box').html())
				          	},
				          	'click #spacer': {
				            	view: _.template($('#offshore-modal-spacer').html())
				          	},
				          	'click #testimonial': {
				            	view: _.template($('#offshore-modal-testimonial').html())
				          	},
				          	'click #downloads-box': {
				            	view: _.template($('#offshore-modal-downloads-box').html())
				          	},
				          	'click #post-box': {
				            	view: _.template($('#offshore-modal-post-box').html())
				          	},
				          	'click #recent-posts': {
				            	view: _.template($('#offshore-modal-recent-posts').html())
				          	},
				          	'click #partners': {
				            	view: _.template($('#offshore-modal-partners').html())
				          	},
				          	'click #heading': {
				            	view: _.template($('#offshore-modal-heading').html())
				          	},
				          	'click #label': {
				            	view: _.template($('#offshore-modal-label').html())
				          	},
				          	'click #contact-box': {
				            	view: _.template($('#offshore-modal-contact-box').html())
				          	},
				          	'click #contact-box-large': {
				            	view: _.template($('#offshore-modal-contact-box-large').html())
				          	},
				          	'click #google-maps': {
				            	view: _.template($('#offshore-modal-google-maps').html())
				          	},
				          	'click #feature-box': {
				            	view: _.template($('#offshore-modal-feature-box').html())
				          	},
				          	'click #slider': {
				            	view: _.template($('#offshore-modal-slider').html())
				          	},
				          	'click #counter-box': {
				            	view: _.template($('#offshore-modal-counter-box').html())
				          	},
				          	'click #team-member': {
				            	view: _.template($('#offshore-modal-team-member').html())
				          	},
				          	'click #careers-box': {
				            	view: _.template($('#offshore-modal-careers-box').html())
				          	},
				          	'click #quadral-image': {
				            	view: _.template($('#offshore-modal-quadral-image').html())
				          	},
				          	'click #recent-services': {
				            	view: _.template($('#offshore-modal-recent-services').html())
				          	}
				        },
	                    events: {
	                      	'click .previous': 'previousStep',
	          				'click .next': 'nextStep',
	          				'click .offshore-sc-btn,.next': 'showBar',
	          				'click #main': 'hideBar',
	          				'change #offshore-sc-view': 'changeView',
	          				'click .offshore-submit': 'insertShortcode'
	                    },
	                    onShow: function() {
	                      	console.log('show');
	                      	this.clone();
	                      	this.remove();
	                    },
	                    onDestroy: function() {
	                      	console.log('close');
	                    },
	                    onRender: function() {
	                      	console.log('render');
	                    },
	                    openModal: function(e) {
	                      	console.log('open');
	                    },
	                    previousStep: function(e) {
				          	e.preventDefault();
				          	this.previous();
				          	if( this.currentIndex === 0 ){
				          		this.hideBar();
				          	}
				        },
				        nextStep: function(e) {
				          	e.preventDefault();
				          	this.next();
				        },
				        showBar: function(e) {
				          	jQuery('#offshore-modal').find('#offshore-sc-bar').show();
				        },
				        hideBar: function(e) {
				          	jQuery('#offshore-modal').find('#offshore-sc-bar').hide();
				        },
				        changeView: function(e) {
				          	var val = jQuery( '#' + e.target.value );
				          	val.trigger('click');
				        },
				        insertShortcode: function(e) {
				        	var tag = jQuery('.offshore-tag').val();
				        	var shortcode_str;
				        	if ( tag == 'heading' ) {
								var type = $('select[name="type"]').val();
								var text = $('textarea[name="text"]').val();
								var fontSize = $('input[name="font_size"]').val();
								if( fontSize != '' ){
									fontSize = 'font-size:'+fontSize+'px;';
								}
								var fontBold = $('select[name="font_bold"]').val();
								if( fontBold == 'yes' ){
									fontBold = 'font-weight:700;';
								} else {
									fontBold = '';
								}
								var fontFamily = $('select[name="font_family"]').val();
								if( fontFamily != '' ){
									fontFamily = 'font-family:'+ fontFamily +';';
								}
								var lineHeight = $('input[name="line_height"]').val();
								if( lineHeight != '' ){
									lineHeight = 'line-height:'+ lineHeight +'px;';
								}
								var textColor = $('input[name="text_color"]').val();
								if( textColor != '' ){
									textColor = 'color:'+textColor+';';
								}
								var marginTop = $('input[name="margin_top"]').val();
								if( marginTop != '' ){
									marginTop = 'margin-top:'+marginTop+'px;';
								}
								var marginBottom = $('input[name="margin_bottom"]').val();
								if( marginBottom != '' ){
									marginBottom = 'margin-bottom:'+marginBottom+'px;';
								}
								var customClass = $('input[name="class"]').val();
								var css = fontSize + fontBold + fontFamily + lineHeight + textColor + marginTop + marginBottom;
								editor.insertContent(tinyMCE.activeEditor.dom.createHTML(type, {class: customClass,style : css}, text) );
							} else if ( tag == 'icon_list' ) {
								var count = $('#icon-list-count').val();
								var icon = $('#icon-list-icon').val();
								var style = $('#icon-list-style').val();
								var items = '';
								if( icon.length > 0 ){
									icon = 'fa '+icon;
								}
								for (var i = 1; i <= count; i++) {
									items += '<li class="'+icon+'">Your content here..</li>';
								}
								if( style == 'bordered' ){
									editor.insertContent(tinyMCE.activeEditor.dom.createHTML('ul', {class : 'list-bordered list-unstyled'}, items) );
								} else {
									editor.insertContent(tinyMCE.activeEditor.dom.createHTML('ol', {class : 'list-unstyled'}, items) );
								}
							} else if ( tag == 'lists' ) {
								var count = $('#list-count').val();
								var type = $('#list-type').val();
								var style = $('#list-style').val();
								var items = '';
								for (var i = 1; i <= count; i++) {
									items += '<li>Your content here..</li>';
								}
								if( style == 'bordered-unstyled' ){
									editor.insertContent(tinyMCE.activeEditor.dom.createHTML(type, {class : 'list-bordered list-unstyled'}, items) );
								} else if( style == 'bordered' ){
									editor.insertContent(tinyMCE.activeEditor.dom.createHTML(type, {class : 'list-bordered'}, items) );
								} else if( style == 'unstyled' ){
									editor.insertContent(tinyMCE.activeEditor.dom.createHTML(type, {class : 'list-unstyled'}, items) );
								} else {
									editor.insertContent(tinyMCE.activeEditor.dom.createHTML(type, {}, items) );
								}
							} else if ( tag == 'table' ) {
								var columns = $('#offshore-table-columns').val();
								var rows = $('#offshore-table-rows').val();
								var items = '';
								for (var i = 1; i <= rows; i++) {
									if( i == 1 ) {
										items += '<thead><tr>';
									} else if( i == 2 ) {
										items += '<tbody><tr>';
									} else {
										items += '<tr>';
									}
									for (var j = 1; j <= columns; j++) {
										if( i == 1 ) {
											items += '<th>Column '+j+'</th>';
										} else {
											items += '<td>Item..</td>';
										}
									}
									if( i == 1 ) {
										items += '</tr></thead>';
									} else if( i == rows ) {
										items += '</tr></tbody>';
									} else {
										items += '</tr>';
									}
								}

								var style = $('#offshore-table-style').val();

								editor.insertContent(tinyMCE.activeEditor.dom.createHTML('table', {width : '100%',class : 'table table-' + style}, items) );
							} else {
					        	var childTag = $('.offshore-child-tag').val();
					        	shortcode_str = '[offshore_' + tag + ' ';
					        	var form = jQuery('#offshore-modal .offshore-sc-form').serializeArray();
					        	var childArr = {};
					        	var newChildArr = {};
					        	var pattern = /child_/;
					        	// console.log(form);

					        	var content = '';
					        	// assign parent short code parameters based on form fields
					        	jQuery.each( form, function( i, field ) {
					        		if( field.value !== '' ) {
					        			if( !pattern.test( field.name ) ){
							        		if( field.name === 'content' ){
									      		content += field.value;
							        		} else {
							        			shortcode_str += ' ' + field.name + '="' + field.value + '"';
							        		}
							        	}
						        	}
							    });

					        	var childContent = '';
					        	if( childTag ) {
					        		content += '<br>';
					        		// create a new array for child short code
					        		jQuery.each( form, function( i, field ) {
						        		if( field.value !== '' ) {
							        		if( pattern.test( field.name ) ) {
							        			var index = field.name.replace( 'child_', '' );
							        			if( !childArr[ index ] ) {
							        				childArr[index] = [];
							        			}
							        			childArr[index].push( field.value );
							        		}
							        	}
								    });
								    // console.log( childArr );
								    // Re-format child details
								    jQuery.each( childArr, function( i, field ) {
					        			jQuery.each( field, function( a, v ) {
						        			var obj = {
						        				name: i,
						        				value: v
						        			};
						        			if( !newChildArr[ a ] ) {
						        				newChildArr[a] = [];
						        			}
						        			newChildArr[a].push( obj );
					        			});
								    });
								    // console.log( newChildArr );
								    // assign child short code parameters based on form fields
						        	jQuery.each( newChildArr, function( i, field ) {
						        		content += '[offshore_' + childTag + ' ';
						        		// clear child content on every loop
						        		childContent = '';
						        		if( field !== '' ) {
						        			jQuery.each( field, function( a, v ) {
						        				if( v.value !== '' ) {
						        					if( v.name === 'content' ){
						        						// console.log(v.value);
											      		childContent += v.value;
									        		} else {
									        			content += ' ' + v.name + '="' + v.value + '"';
									        		}
						        				}
						        			});
							        	}
							        	content += ']'+ childContent +'[/offshore_' + childTag + ']<br>';
								    });
						        }

								//add panel content
								shortcode_str += ']'+ content +'[/offshore_' + tag + ']';
								//insert shortcode to tinymce
								editor.insertContent( shortcode_str );
							}
							// destroy our modal
							this.destroy();
				        },
				        clone: function(){
				        	$(document).off('click', '.offshore-clone-add').on( 'click', '.offshore-clone-add',function(){
				        		var clone = $(this).prev('.offshore-clone').clone();
				        		$(this).before( clone );
				        		offshore_media_button();
				        	});
				        },
				        remove: function(){
				        	$(document).off('click', '.offshore-clone-remove').on( 'click', '.offshore-clone-remove',function(){
				        		var len = $('#offshore-modal form.offshore-sc-form > div').length;
				        		// console.log(len);
				        		if( len <= 1 ){
				        			alert( 'Minimum one panel required.' );
				        		} else {
				        			$(this).parent('.offshore-clone').remove();
				        		}
				        	});
				        }
	                });

	                // Render an instance of your modal
	                var modalView = new Modal();
	                jQuery('#offshore-modal').html(modalView.render().el);

	            })( jQuery );
			}
		});

	});
})();