<?php
/*
Plugin Name: Offshore Core
Plugin URI: https://gautamthapar.me/
Description: Necessary tools for Offshore theme.
Version: 1.1.5
Author: Gautam Thapar
Author URI: https://gautamthapar.me/
License: GPLv2 or later
Text Domain: offshorecore
Domain Path: /languages/
*/

// Block direct access to the main plugin file.
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

// Current version of the plugin.
define( 'OFFSHORE_CORE_VERSION', '1.1.5' );

/**
 * Load our scripts styles
 * @since  1.0.0
 */
function offshore_core_scripts() {
    wp_enqueue_script( 'backbone' );
    wp_enqueue_script( 'offshore-core-modal', plugin_dir_url( __FILE__ ) . 'assets/backbone-modal/backbone.modal.js', 'backbone', '1.5.1', true );
    wp_enqueue_script( 'offshore-iconpicker', plugin_dir_url( __FILE__ ) . 'assets/iconpicker/js/fontawesome-iconpicker.js', 'jquery', '1.2.0', true );
    wp_enqueue_style( 'offshore-core-modal', plugin_dir_url( __FILE__ ) . 'assets/backbone-modal/backbone.modal.css' );
    wp_enqueue_style( 'offshore-core-modal-theme', plugin_dir_url( __FILE__ ) . 'assets/backbone-modal/backbone.modal.theme.css' );
    wp_enqueue_style( 'wp-color-picker' );
    wp_enqueue_script( 'wp-color-picker' );
    wp_enqueue_style( 'offshore-iconpicker', plugin_dir_url( __FILE__ ) . 'assets/iconpicker/css/fontawesome-iconpicker.css' );
    // wp_enqueue_script( 'offshore-vc-view', plugin_dir_url( __FILE__ ) . 'assets/js/vc-view.js', '', '1.0.0', true );
}
add_action( 'admin_enqueue_scripts', 'offshore_core_scripts' );

/**
 * Add templates to the footer
 * @since  1.0.0
 */
function offshore_core_template() {
    ?>
    <div id="offshore-modal" style="position:absolute;z-index:150000;"></div>
    <!-- Default Modal Template -->
    <script type="text/template" id="offshore-modal-template">
        <div class="offshore-modal__topbar">
            <h3 class="offshore-modal__title"><img src="<?php echo plugins_url( 'assets/js/img/offshore.png' , __FILE__ ); ?>" class="offshore-modal-logo" style="width:21px;margin-right:10px;margin-bottom:-4px;" /><?php _e( 'Offshore ShortCodes', 'offshore' ); ?></h3>
            <span style="position:absolute;top:12px;right:30px;">
                <a href="javascript:void(0)" class="offshore-button previous hide-bar" title="<?php _e( 'Previous Shortcode', 'offshore' ); ?>"><span class="fa fa-caret-left"></span></a>
                <a href="javascript:void(0)" class="offshore-button next" title="<?php _e( 'Next Shortcode', 'offshore' ); ?>"><span class="fa fa-caret-right"></span></a>
            </span>
        </div>
        <div id="offshore-sc-bar" class="offshore-modal__bar" style="display:none;">
            <div class="offshore-section offshore-group">
                <div class="offshore-col offshore-span_4_of_12">
                    <p><?php _e( 'Choose Shortcode', 'offshore' ); ?></p>
                </div>
                <div class="offshore-col offshore-span_8_of_12">
                    <div class="offshore-select-button offshore-core-select">
                        <select id="offshore-sc-view">
                            <option value="main"></option>
                            <option value="accordion"><?php _e( 'Accordion', 'offshorecore' ); ?></option>
                            <option value="alert"><?php _e( 'Alert', 'offshorecore' ); ?></option>
                            <option value="blockquote"><?php _e( 'Blockquote', 'offshorecore' ); ?></option>
                            <option value="button"><?php _e( 'Button', 'offshorecore' ); ?></option>
                            <option value="careers-box"><?php _e( 'Careers Box', 'offshorecore' ); ?></option>
                            <option value="columns"><?php _e( 'Columns', 'offshorecore' ); ?></option>
                            <option value="contact-box"><?php _e( 'Contact Box', 'offshorecore' ); ?></option>
                            <option value="contact-box-large"><?php _e( 'Contact Box Large', 'offshorecore' ); ?></option>
                            <option value="contact-form"><?php _e( 'Contact Form', 'offshorecore' ); ?></option>
                            <option value="counter"><?php _e( 'Counter', 'offshorecore' ); ?></option>
                            <option value="counter-box"><?php _e( 'Counter Box', 'offshorecore' ); ?></option>
                            <option value="downloads-box"><?php _e( 'Downloads Box', 'offshorecore' ); ?></option>
                            <option value="drop-cap"><?php _e( 'Drop Cap', 'offshorecore' ); ?></option>
                            <option value="dual-image"><?php _e( 'Dual Image', 'offshorecore' ); ?></option>
                            <option value="feature-box"><?php _e( 'Feature Box', 'offshorecore' ); ?></option>
                            <option value="google-maps"><?php _e( 'Google Maps', 'offshorecore' ); ?></option>
                            <option value="heading"><?php _e( 'Heading', 'offshorecore' ); ?></option>
                            <option value="icon-list"><?php _e( 'Icon List', 'offshorecore' ); ?></option>
                            <option value="label"><?php _e( 'Label', 'offshorecore' ); ?></option>
                            <option value="list"><?php _e( 'List', 'offshorecore' ); ?></option>
                            <option value="partners"><?php _e( 'Partners', 'offshorecore' ); ?></option>
                            <option value="post-box"><?php _e( 'Post Box', 'offshorecore' ); ?></option>
                            <option value="progress-bar"><?php _e( 'Progress Bar', 'offshorecore' ); ?></option>
                            <option value="quadral-image"><?php _e( 'Quadral Image', 'offshorecore' ); ?></option>
                            <option value="recent-posts"><?php _e( 'Recent Posts', 'offshorecore' ); ?></option>
                            <option value="recent-services"><?php _e( 'Recent Services', 'offshorecore' ); ?></option>
                            <option value="section"><?php _e( 'Section', 'offshorecore' ); ?></option>
                            <option value="service-box"><?php _e( 'Service Box', 'offshorecore' ); ?></option>
                            <option value="slider"><?php _e( 'Slider', 'offshorecore' ); ?></option>
                            <option value="social-icons"><?php _e( 'Social Icons', 'offshorecore' ); ?></option>
                            <option value="spacer"><?php _e( 'Spacer', 'offshorecore' ); ?></option>
                            <option value="tab"><?php _e( 'Tab', 'offshorecore' ); ?></option>
                            <option value="table"><?php _e( 'Table', 'offshorecore' ); ?></option>
                            <option value="team-member"><?php _e( 'Team Member', 'offshorecore' ); ?></option>
                            <option value="testimonial"><?php _e( 'Testimonial', 'offshorecore' ); ?></option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
        <div class="offshore-modal-container"></div>
        <a href="javascript:void(0)" id="main" style="display:none;"></a>
        <a href="javascript:void(0)" id="accordion" style="display:none;"></a>
        <a href="javascript:void(0)" id="alert" style="display:none;"></a>
        <a href="javascript:void(0)" id="blockquote" style="display:none;"></a>
        <a href="javascript:void(0)" id="button" style="display:none;"></a>
        <a href="javascript:void(0)" id="careers-box" style="display:none;"></a>
        <a href="javascript:void(0)" id="columns" style="display:none;"></a>
        <a href="javascript:void(0)" id="contact-box" style="display:none;"></a>
        <a href="javascript:void(0)" id="contact-box-large" style="display:none;"></a>
        <a href="javascript:void(0)" id="contact-form" style="display:none;"></a>
        <a href="javascript:void(0)" id="counter" style="display:none;"></a>
        <a href="javascript:void(0)" id="counter-box" style="display:none;"></a>
        <a href="javascript:void(0)" id="downloads-box" style="display:none;"></a>
        <a href="javascript:void(0)" id="drop-cap" style="display:none;"></a>
        <a href="javascript:void(0)" id="dual-image" style="display:none;"></a>
        <a href="javascript:void(0)" id="feature-box" style="display:none;"></a>
        <a href="javascript:void(0)" id="google-maps" style="display:none;"></a>
        <a href="javascript:void(0)" id="heading" style="display:none;"></a>
        <a href="javascript:void(0)" id="icon-list" style="display:none;"></a>
        <a href="javascript:void(0)" id="label" style="display:none;"></a>
        <a href="javascript:void(0)" id="lists" style="display:none;"></a>
        <a href="javascript:void(0)" id="partners" style="display:none;"></a>
        <a href="javascript:void(0)" id="post-box" style="display:none;"></a>
        <a href="javascript:void(0)" id="progress-bar" style="display:none;"></a>
        <a href="javascript:void(0)" id="quadral-image" style="display:none;"></a>
        <a href="javascript:void(0)" id="recent-posts" style="display:none;"></a>
        <a href="javascript:void(0)" id="recent-services" style="display:none;"></a>
        <a href="javascript:void(0)" id="section" style="display:none;"></a>
        <a href="javascript:void(0)" id="service-box" style="display:none;"></a>
        <a href="javascript:void(0)" id="slider" style="display:none;"></a>
        <a href="javascript:void(0)" id="social-icons" style="display:none;"></a>
        <a href="javascript:void(0)" id="spacer" style="display:none;"></a>
        <a href="javascript:void(0)" id="tab" style="display:none;"></a>
        <a href="javascript:void(0)" id="table" style="display:none;"></a>
        <a href="javascript:void(0)" id="team-member" style="display:none;"></a>
        <a href="javascript:void(0)" id="testimonial" style="display:none;"></a>
    </script>
    <!-- ShortCodes Modal -->
    <script type="text/template" id="offshore-modal-main">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <div style="padding-top:30px;"></div>
                <div class="offshore-section offshore-group">
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="accordion" class="offshore-sc-btn"><span class="fa fa-plus-square"></span><?php _e( 'Accordion', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="alert" class="offshore-sc-btn"><span class="fa fa-exclamation-triangle"></span><?php _e( 'Alert', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="blockquote" class="offshore-sc-btn"><span class="fa fa-quote-left"></span><?php _e( 'Blockquote', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="button" class="offshore-sc-btn"><span class="fa fa-square-o"></span><?php _e( 'Button', 'offshorecore' ); ?></a>
                    </div>
                </div>
                <div class="offshore-section offshore-group">
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="careers-box" class="offshore-sc-btn"><span class="fa fa-briefcase"></span><?php _e( 'Careers Box', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="columns" class="offshore-sc-btn"><span class="fa fa-columns"></span><?php _e( 'Columns', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                         <a href="javascript:void(0)" id="contact-box" class="offshore-sc-btn"><span class="fa fa-location-arrow"></span><?php _e( 'Contact Box', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="contact-box-large" class="offshore-sc-btn"><span class="fa fa-map-marker"></span><?php _e( 'Contact Box Large', 'offshorecore' ); ?></a>
                    </div>
                </div>
                <div class="offshore-section offshore-group">
                    <div class="offshore-col offshore-span_3_of_12">
                       <a href="javascript:void(0)" id="contact-form" class="offshore-sc-btn"><span class="fa fa-envelope"></span><?php _e( 'Contact Form', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="counter" class="offshore-sc-btn"><span class="fa fa-comments"></span><?php _e( 'Counter', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="counter-box" class="offshore-sc-btn"><span class="fa fa-comments"></span><?php _e( 'Counter Box', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="downloads-box" class="offshore-sc-btn"><span class="fa fa-download"></span><?php _e( 'Downloads Box', 'offshorecore' ); ?></a>
                    </div>
                </div>
                <div class="offshore-section offshore-group">
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="drop-cap" class="offshore-sc-btn"><span class="fa fa-font"></span><?php _e( 'Drop Cap', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="dual-image" class="offshore-sc-btn"><span class="fa fa-picture-o"></span><?php _e( 'Dual Image', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="feature-box" class="offshore-sc-btn"><span class="fa fa-asterisk"></span><?php _e( 'Feature Box', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="google-maps" class="offshore-sc-btn"><span class="fa fa-globe"></span><?php _e( 'Google Maps', 'offshorecore' ); ?></a>
                    </div>
                </div>
                <div class="offshore-section offshore-group">
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="heading" class="offshore-sc-btn"><span class="fa fa-header"></span><?php _e( 'Heading', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="icon-list" class="offshore-sc-btn"><span class="fa fa-list"></span><?php _e( 'Icon List', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="label" class="offshore-sc-btn"><span class="fa fa-tag"></span><?php _e( 'Label', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="lists" class="offshore-sc-btn"><span class="fa fa-list"></span><?php _e( 'List', 'offshorecore' ); ?></a>
                    </div>
                </div>
                <div class="offshore-section offshore-group">
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="partners" class="offshore-sc-btn"><span class="fa fa-hand-o-right"></span><?php _e( 'Partners', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="post-box" class="offshore-sc-btn"><span class="fa fa-pencil-square"></span><?php _e( 'Post Box', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="progress-bar" class="offshore-sc-btn"><span class="fa fa-tasks"></span><?php _e( 'Progress Bar', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="quadral-image" class="offshore-sc-btn"><span class="fa fa-th-large"></span><?php _e( 'Quadral Image', 'offshorecore' ); ?></a>
                    </div>
                </div>
                <div class="offshore-section offshore-group">
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="recent-posts" class="offshore-sc-btn"><span class="fa fa-newspaper-o"></span><?php _e( 'Recent Posts', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                         <a href="javascript:void(0)" id="recent-services" class="offshore-sc-btn"><span class="fa fa-newspaper-o"></span><?php _e( 'Recent Services', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                       <a href="javascript:void(0)" id="section" class="offshore-sc-btn"><span class="fa fa-table"></span><?php _e( 'Section', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="service-box" class="offshore-sc-btn"><span class="fa fa-cube"></span><?php _e( 'Service Box', 'offshorecore' ); ?></a>
                    </div>
                </div>
                <div class="offshore-section offshore-group">
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="slider" class="offshore-sc-btn"><span class="fa fa-sliders"></span><?php _e( 'Slider', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="social-icons" class="offshore-sc-btn"><span class="fa fa-twitter"></span><?php _e( 'Social Icons', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="spacer" class="offshore-sc-btn"><span class="fa fa-arrows-v"></span><?php _e( 'Spacer', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="tab" class="offshore-sc-btn"><span class="fa fa-folder"></span><?php _e( 'Tab', 'offshorecore' ); ?></a>
                    </div>
                </div>
                <div class="offshore-section offshore-group">
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="table" class="offshore-sc-btn"><span class="fa fa-th-large"></span><?php _e( 'Table', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="team-member" class="offshore-sc-btn"><span class="fa fa-user"></span><?php _e( 'Team Member', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">
                        <a href="javascript:void(0)" id="testimonial" class="offshore-sc-btn"><span class="fa fa-quote-left"></span><?php _e( 'Testimonial', 'offshorecore' ); ?></a>
                    </div>
                    <div class="offshore-col offshore-span_3_of_12">

                    </div>
                </div>
            </div>
            <div style="padding-bottom:30px;"></div>
        </div>
    </script>
    <!-- Accordion Modal -->
    <script type="text/template" id="offshore-modal-accordion">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="accordion" />
                <input type="hidden" class="offshore-child-tag" value="accordion_panel" />
                <form class="offshore-sc-form">
                    <div class="offshore-clone" style="background-color:#f7f7f7;padding:30px;margin:30px 0 0;border: 1px solid rgba(0, 0, 0, 0.2);">
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Accordion Panel Title', 'offshore' ); ?></p>
                                <em><?php _e( 'Insert the accordion panel title.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <input name="child_title" class="offshore-text" value="" />
                            </div>
                        </div>
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Accordion Panel Content', 'offshore' ); ?></p>
                                <em><?php _e( 'Insert the accordion panel content.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <textarea rows="5" cols="56" name="child_content" class="offshore-textarea"><?php _e( 'Your content here.', 'offshore' ); ?></textarea>
                            </div>
                        </div>
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Accordion Open', 'offshore' ); ?></p>
                                <em><?php _e( 'Keep this open by default.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <div class="offshore-select-button offshore-core-select">
                                    <select name="child_open">
                                        <option value="no"><?php _e( 'No', 'offshore' ); ?></option>
                                        <option value="yes"><?php _e( 'Yes', 'offshore' ); ?></option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <a href="javascript:void(0)" class="offshore-button offshore-clone-remove" style=""><?php _e( 'Remove', 'offshorecore' ); ?></a>
                    </div>
                    <a href="javascript:void(0)" class="offshore-button offshore-clone-add" style="width:100%;text-align:center;margin-bottom:30px;margin-top:2px;border-radius:0;"><?php _e( 'Add More', 'offshorecore' ); ?></a>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Alert Modal -->
    <script type="text/template" id="offshore-modal-alert">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="alert" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Alert Type', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the type of alert message.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="type">
                                    <option value="danger"><?php _e( 'Danger', 'offshore' ); ?></option>
                                    <option value="info"><?php _e( 'Info', 'offshore' ); ?></option>
                                    <option value="success"><?php _e( 'Success', 'offshore' ); ?></option>
                                    <option value="warning"><?php _e( 'Warning', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Alert Content.', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert the alert\'s content.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <textarea rows="5" cols="61" name="content" class="offshore-textarea"><?php _e( 'Your content here.', 'offshore' ); ?></textarea>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Alert Dismissable', 'offshore' ); ?></p>
                            <em><?php _e( 'Select whether you want the alert box to be dismissable.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="dismissable">
                                    <option value="yes"><?php _e( 'Yes', 'offshorecore' ); ?></option>
                                    <option value="no"><?php _e( 'No', 'offshorecore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Alert Text Color.', 'offshore' ); ?></p>
                            <em><?php _e( 'Set the text color for alert box.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="text_color" class="offshore-color" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Alert Background Color.', 'offshore' ); ?></p>
                            <em><?php _e( 'Set the background color for alert box.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="background_color" class="offshore-color" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Alert Border Size.', 'offshore' ); ?></p>
                            <em><?php _e( 'Set the border size for alert box.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="border_size" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Alert Border Color.', 'offshore' ); ?></p>
                            <em><?php _e( 'Set the border size for alert box in pixels. Ex: 1.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="border_color" class="offshore-color" value="" />
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Blockquote Modal -->
    <script type="text/template" id="offshore-modal-blockquote">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="blockquote" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Blockquote Size', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the size for blockquote.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="size">
                                    <option value="normal"><?php _e( 'Normal', 'offshore' ); ?></option>
                                    <option value="large"><?php _e( 'Large', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Blockquote Type', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the type of blockquote.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="type">
                                    <option value="yellow"><?php _e( 'Yellow', 'offshore' ); ?></option>
                                    <option value="blue"><?php _e( 'Blue', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Blockquote Content.', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert the blockquotes\'s content.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <textarea rows="5" cols="61" name="content" class="offshore-textarea"><?php _e( 'Your content here.', 'offshore' ); ?></textarea>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Button Modal -->
    <script type="text/template" id="offshore-modal-button">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="button" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Button URL', 'offshore' ); ?></p>
                            <em><?php _e( 'Set the button link.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="url" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Button Type', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the type of button.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="type">
                                    <option value="primary"><?php _e( 'Primary', 'offshore' ); ?></option>
                                    <option value="secondary"><?php _e( 'Secondary', 'offshore' ); ?></option>
                                    <option value="default"><?php _e( 'Default', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Button Size', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the size of button.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="size">
                                     <option value=""><?php _e( 'Default', 'offshore' ); ?></option>
                                    <option value="normal"><?php _e( 'Normal', 'offshore' ); ?></option>
                                    <option value="lg"><?php _e( 'Large', 'offshore' ); ?></option>
                                    <option value="sm"><?php _e( 'Small', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Button Full Width', 'offshore' ); ?></p>
                            <em><?php _e( 'Select whether button should cover the full width of container.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="full_width">
                                    <option value="no"><?php _e( 'No', 'offshore' ); ?></option>
                                    <option value="yes"><?php _e( 'Yes', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Button Text.', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert the button\'s text.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <textarea rows="5" cols="61" name="content" class="offshore-textarea"><?php _e( 'Button', 'offshore' ); ?></textarea>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Button Color.', 'offshore' ); ?></p>
                            <em><?php _e( 'Set the button text color.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="text_color" class="offshore-color" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Button Hover Color.', 'offshore' ); ?></p>
                            <em><?php _e( 'Set the text color for hover state.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="hover_text_color" class="offshore-color" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Button Background Color.', 'offshore' ); ?></p>
                            <em><?php _e( 'Set the button background color.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="background_color" class="offshore-color" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Button Hover Background Color.', 'offshore' ); ?></p>
                            <em><?php _e( 'Set the background color for hover state.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="hover_background_color" class="offshore-color" value="" />
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Contact Form Modal -->
    <script type="text/template" id="offshore-modal-contact-form">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="contact_form" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Form Name Field', 'offshore' ); ?></p>
                            <em><?php _e( 'Select whether or not to diplay form name field.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="name">
                                    <option value="yes"><?php _e( 'Yes', 'offshore' ); ?></option>
                                    <option value="no"><?php _e( 'No', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Form Name Placeholder', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert placeholder text for name field.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="name_placeholder" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Form Email Field', 'offshore' ); ?></p>
                            <em><?php _e( 'Select whether or not to diplay form email field.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="email">
                                    <option value="yes"><?php _e( 'Yes', 'offshore' ); ?></option>
                                    <option value="no"><?php _e( 'No', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Form Email Placeholder', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert placeholder text for email field.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="email_placeholder" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Form Number Field', 'offshore' ); ?></p>
                            <em><?php _e( 'Select whether or not to diplay form number field.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="number">
                                    <option value="yes"><?php _e( 'Yes', 'offshore' ); ?></option>
                                    <option value="no"><?php _e( 'No', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Form Number Placeholder', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert placeholder text for number field.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="number_placeholder" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Form Message Placeholder', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert placeholder text for message field.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="message_placeholder" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Form Submit Button Text', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert submit button text.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="button_text" class="offshore-text" value="" />
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Drop Cap Modal -->
    <script type="text/template" id="offshore-modal-drop-cap">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="drop_cap" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Drop Cap Type', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the type of drop cap.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="type">
                                    <option value="yellow"><?php _e( 'Yellow', 'offshore' ); ?></option>
                                    <option value="blue"><?php _e( 'Blue', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Drop Cap Letter.', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert the letter to be used as dropcap.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="content" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Drop Cap Background Color.', 'offshore' ); ?></p>
                            <em><?php _e( 'Set custom background color for letter.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="background_color" class="offshore-color" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Drop Cap Text Color.', 'offshore' ); ?></p>
                            <em><?php _e( 'Set custom color for letter.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="text_color" class="offshore-color" value="" />
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Tab Modal -->
    <script type="text/template" id="offshore-modal-tab">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="tab" />
                <input type="hidden" class="offshore-child-tag" value="tab_panel" />
                <form class="offshore-sc-form">
                    <div class="offshore-clone" style="background-color:#f7f7f7;padding:30px;margin:30px 0 0;border: 1px solid rgba(0, 0, 0, 0.2);">
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Tab Panel Title.', 'offshore' ); ?></p>
                                <em><?php _e( 'Insert the tab panel title.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <input name="child_title" class="offshore-text" value="" />
                            </div>
                        </div>
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Tab Panel Content.', 'offshore' ); ?></p>
                                <em><?php _e( 'Insert the tab panel content.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <textarea rows="5" cols="56" name="child_content" class="offshore-textarea"><?php _e( 'Your content here.', 'offshore' ); ?></textarea>
                            </div>
                        </div>
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Tab Open', 'offshore' ); ?></p>
                                <em><?php _e( 'Open the tab by default.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <div class="offshore-select-button offshore-core-select">
                                    <select name="child_open">
                                        <option value="no"><?php _e( 'No', 'offshore' ); ?></option>
                                        <option value="yes"><?php _e( 'Yes', 'offshore' ); ?></option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <a href="javascript:void(0)" class="offshore-button offshore-clone-remove" style=""><?php _e( 'Remove', 'offshorecore' ); ?></a>
                    </div>
                    <a href="javascript:void(0)" class="offshore-button offshore-clone-add" style="width:100%;text-align:center;margin-bottom:30px;margin-top:2px;border-radius:0;"><?php _e( 'Add More', 'offshorecore' ); ?></a>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Columns Modal -->
    <script type="text/template" id="offshore-modal-columns">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="row" />
                <input type="hidden" class="offshore-child-tag" value="column" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Center Text on Mobile', 'offshore' ); ?></p>
                            <em><?php _e( 'Select whether or not to center text on small screens.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="center_text_mobile">
                                    <option value="no"><?php _e( 'No', 'offshore' ); ?></option>
                                    <option value="yes"><?php _e( 'Yes', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-clone" style="background-color:#f7f7f7;padding:30px;margin:30px 0 0;border: 1px solid rgba(0, 0, 0, 0.2);">
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Column Size', 'offshore' ); ?></p>
                                <em><?php _e( 'Select the size for column.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <div class="offshore-select-button offshore-core-select">
                                    <select name="child_size">
                                        <option value="12"><?php _e( 'Full', 'offshore' ); ?></option>
                                        <option value="6"><?php _e( 'One Half', 'offshore' ); ?></option>
                                        <option value="4"><?php _e( 'One Third', 'offshore' ); ?></option>
                                        <option value="8"><?php _e( 'Two Third', 'offshore' ); ?></option>
                                        <option value="3"><?php _e( 'One Fourth', 'offshore' ); ?></option>
                                        <option value="9"><?php _e( 'Three Fourth', 'offshore' ); ?></option>
                                        <option value="2"><?php _e( 'One Sixth', 'offshore' ); ?></option>
                                        <option value="10"><?php _e( 'Five Sixth', 'offshore' ); ?></option>
                                        <option value="1"><?php _e( 'One Twelfth', 'offshore' ); ?></option>
                                        <option value="5"><?php _e( '5 / 12', 'offshore' ); ?></option>
                                        <option value="7"><?php _e( '7 / 12', 'offshore' ); ?></option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Hide on Mobile', 'offshore' ); ?></p>
                                <em><?php _e( 'Select whether or not to hide column on mobile.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <div class="offshore-select-button offshore-core-select">
                                    <select name="child_hide_on_mobile">
                                        <option value="no"><?php _e( 'No', 'offshore' ); ?></option>
                                        <option value="yes"><?php _e( 'Yes', 'offshore' ); ?></option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Border Left', 'offshore' ); ?></p>
                                <em><?php _e( 'Select whether to add left border to this column.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <div class="offshore-select-button offshore-core-select">
                                    <select name="child_border_left">
                                        <option value="no"><?php _e( 'No', 'offshore' ); ?></option>
                                        <option value="yes"><?php _e( 'Yes', 'offshore' ); ?></option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Column Padding Top.', 'offshore' ); ?></p>
                                <em><?php _e( 'Insert top padding value in pixels. Eg. 10.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <input name="child_padding_top" class="offshore-text" value="" />
                            </div>
                        </div>
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Column Padding Bottom.', 'offshore' ); ?></p>
                                <em><?php _e( 'Insert bottom padding value in pixels. Eg. 10.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <input name="child_padding_bottom" class="offshore-text" value="" />
                            </div>
                        </div>
                        <input type="hidden" class="offshore-text" name="child_content" value="<?php _e( 'Your content here..', 'offshorecore' ); ?>" />
                        <a href="javascript:void(0)" class="offshore-button offshore-clone-remove" style=""><?php _e( 'Remove', 'offshorecore' ); ?></a>
                    </div>
                    <a href="javascript:void(0)" class="offshore-button offshore-clone-add" style="width:100%;text-align:center;margin-bottom:30px;margin-top:2px;border-radius:0;"><?php _e( 'Add More', 'offshorecore' ); ?></a>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Icon List Modal -->
    <script type="text/template" id="offshore-modal-icon-list">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="icon_list" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Number of items', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert the number of list items to display. Eg. 2', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input id="icon-list-count" name="icon" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'List Icon', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the icon.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input id="icon-list-icon" name="icon" class="offshore-text offshore-icon" style="display:none;" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'List Icon Style', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the style.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select id="icon-list-style" name="style">
                                    <option value="normal"><?php _e( 'Normal', 'offshore' ); ?></option>
                                    <option value="bordered"><?php _e( 'Bordered', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- List Modal -->
    <script type="text/template" id="offshore-modal-lists">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="lists" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Number of items', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert the number of list items to display. Eg. 2', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input id="list-count" name="icon" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'List Type', 'offshore' ); ?></p>
                            <em><?php _e( 'Select list type.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select id="list-type" name="type">
                                    <option value="ol"><?php _e( 'Ordered', 'offshore' ); ?></option>
                                    <option value="ul"><?php _e( 'Unordered', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'List Style', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the style.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select id="list-style" name="style">
                                    <option value="normal"><?php _e( 'Normal', 'offshore' ); ?></option>
                                    <option value="bordered"><?php _e( 'Bordered', 'offshore' ); ?></option>
                                    <option value="unstyled"><?php _e( 'Unstyled', 'offshore' ); ?></option>
                                    <option value="bordered-unstyled"><?php _e( 'Bordered + Unstyled', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Table Modal -->
    <script type="text/template" id="offshore-modal-table">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="table" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Number of columns', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert the number of columns to display. Eg. 3', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select id="offshore-table-columns" name="columns">
                                    <option value="1"><?php _e( '1', 'offshore' ); ?></option>
                                    <option value="2"><?php _e( '2', 'offshore' ); ?></option>
                                    <option value="3"><?php _e( '3', 'offshore' ); ?></option>
                                    <option value="4"><?php _e( '4', 'offshore' ); ?></option>
                                    <option value="5"><?php _e( '5', 'offshore' ); ?></option>
                                    <option value="6"><?php _e( '6', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Number of Rows', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the number of rows to display. Eg. 3', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input id="offshore-table-rows" name="rows" class="offshore-text" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Table Style', 'offshore' ); ?></p>
                            <em><?php _e( 'Select table style.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select id="offshore-table-style" name="style">
                                    <option value="striped"><?php _e( 'Striped', 'offshore' ); ?></option>
                                    <option value="bordered"><?php _e( 'Bordered', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Social Icons Modal -->
    <script type="text/template" id="offshore-modal-social-icons">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="social_icons" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Social Icon Size', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the size of icons.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="size">
                                    <option value="normal"><?php _e( 'Normal', 'offshore' ); ?></option>
                                    <option value="large"><?php _e( 'Large', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Social Icon Style', 'offshore' ); ?></p>
                            <em><?php _e( 'Select icon style.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="style">
                                    <option value="yellow"><?php _e( 'Yellow', 'offshore' ); ?></option>
                                    <option value="blue"><?php _e( 'Blue', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Facebook Link', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert profile / page link.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="facebook" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Twitter Link', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert profile / page link.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="twitter" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Google+ Link', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert profile / page link.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="google" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'LinkedIn Link', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert profile / page link.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="linkedin" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Instagram Link', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert profile / page link.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="instagram" class="offshore-text" value="" />
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Dual Image Modal -->
    <script type="text/template" id="offshore-modal-dual-image">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="dual_image" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Front Image', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the image which will be on the front side.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-media-wrapper">
                                <div class="offshore-file-preview"></div>
                                <input name="front_image" class="offshore-text" value="" />
                                <a href="javascript:void(0)" class="offshore-button offshore-media-btn"><?php _e( 'Upload Image', 'offshorecore' ); ?></a>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Back Image', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the image which will be on the back side.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-media-wrapper">
                                <div class="offshore-file-preview"></div>
                                <input name="back_image" class="offshore-text" value="" />
                                <a href="javascript:void(0)" class="offshore-button offshore-media-btn"><?php _e( 'Upload Image', 'offshorecore' ); ?></a>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Section Modal -->
    <script type="text/template" id="offshore-modal-section">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="section" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Container', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the type of container.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="container">
                                    <option value="fixed"><?php _e( 'Fixed', 'offshore' ); ?></option>
                                    <option value="fluid"><?php _e( 'Fluid', 'offshore' ); ?></option>
                                    <option value="none"><?php _e( 'None', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Section Background Color.', 'offshore' ); ?></p>
                            <em><?php _e( 'Set the background color for this section.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="background_color" class="offshore-color" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Center Text', 'offshore' ); ?></p>
                            <em><?php _e( 'Center align text under this section.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="text_center">
                                    <option value="no"><?php _e( 'no', 'offshore' ); ?></option>
                                    <option value="yes"><?php _e( 'Yes', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Section Padding Top.', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert top padding value in pixels. Eg. 10.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="padding_top" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Section Padding Bottom.', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert bottom padding value in pixels. Eg. 10.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="padding_bottom" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Section Custom Class.', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert custom class for this section.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="class" class="offshore-text" value="" />
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Progress Bar Modal -->
    <script type="text/template" id="offshore-modal-progress-bar">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="progress_bar" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Progress Bar Title', 'offshore' ); ?></p>
                            <em><?php _e( 'Title which will be displayed above progress bar.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="title" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Progress Bar Percentage', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert the completion percentage. Eg. 50. (without percentage symbol)', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="percentage" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Progress Bar Percentage Label', 'offshore' ); ?></p>
                            <em><?php _e( 'Progress bar percentage label will be displayed above progress bar to the right. Default is percentage value, Eg: 50%.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="percentage_label" class="offshore-text" value="" />
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Counter Modal -->
    <script type="text/template" id="offshore-modal-counter">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="counter" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Counter Value', 'offshore' ); ?></p>
                            <em><?php _e( 'The value on which counter should stop.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="value" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Counter Text Content', 'offshore' ); ?></p>
                            <em><?php _e( 'Text to display below counter value.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="content" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Counter Icon', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the icon.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input id="" name="icon" class="offshore-text offshore-icon" style="display:none;" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Counter Image', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the image which will be on the left of counter value. This overrides counter icon.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-media-wrapper">
                                <div class="offshore-file-preview"></div>
                                <input name="image" class="offshore-text" value="" />
                                <a href="javascript:void(0)" class="offshore-button offshore-media-btn"><?php _e( 'Upload Image', 'offshorecore' ); ?></a>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Service Box Modal -->
    <script type="text/template" id="offshore-modal-service-box">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="service_box" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Box Title', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert the title text.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="title" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Description', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert service description.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <textarea rows="5" cols="61" name="content" class="offshore-textarea"><?php _e( 'Your content here.', 'offshore' ); ?></textarea>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Box Icon', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the icon.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input id="" name="icon" class="offshore-text offshore-icon" style="display:none;" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Box Image', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the image which will be on the left of the box. This overrides box icon.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-media-wrapper">
                                <div class="offshore-file-preview"></div>
                                <input name="image" class="offshore-text" value="" />
                                <a href="javascript:void(0)" class="offshore-button offshore-media-btn"><?php _e( 'Upload Image', 'offshorecore' ); ?></a>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Spacer Modal -->
    <script type="text/template" id="offshore-modal-spacer">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="spacer" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Spacer Height', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert height in pixels. Eg. 70.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="height" class="offshore-text" value="" />
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Testimonial Modal -->
    <script type="text/template" id="offshore-modal-testimonial">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="testimonial" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Testimonial Type', 'offshore' ); ?></p>
                            <em><?php _e( 'Select whether to add custom testimonial', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="post_id">
                                    <?php
                                        foreach ( get_posts( array( 'posts_per_page'   => -1, 'post_type' => 'testimonial', ) ) as $post ) {
                                           echo '<option value="' . $post->ID . '">' . $post->post_title . '</option>';
                                        }
                                    ?>
                                </select>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Downloads Box Modal -->
    <script type="text/template" id="offshore-modal-downloads-box">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="downloads_box" />
                <input type="hidden" class="offshore-child-tag" value="downloads_box_item" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Box Title', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert the title.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="title" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Button Text', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert text for button.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input id="" name="button_text" class="offshore-text" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Button Icon', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the icon.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input id="" name="button_icon" class="offshore-text offshore-icon" style="display:none;" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Download File', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the file you want user to download on button click.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-media-wrapper">
                                <div class="offshore-file-preview"></div>
                                <input name="button_file_id" class="offshore-text offshore-file-id" value="" style="display:none;"/>
                                <input name="" class="offshore-text" value="" />
                                <a href="javascript:void(0)" class="offshore-button offshore-media-btn"><?php _e( 'Upload File', 'offshorecore' ); ?></a>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Box Sub Title', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert text for sub title. Used for other downloads list.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input id="" name="sub_title" class="offshore-text" />
                        </div>
                    </div>
                    <div class="offshore-clone" style="background-color:#f7f7f7;padding:30px;margin:30px 0 0;border: 1px solid rgba(0, 0, 0, 0.2);">
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'List Item Name', 'offshore' ); ?></p>
                                <em><?php _e( 'Insert item name ( other download item ).', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <input name="child_file_name" class="offshore-text" value="" />
                            </div>
                        </div>
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'List Item File', 'offshore' ); ?></p>
                                <em><?php _e( 'Select the downloadable file.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <div class="offshore-media-wrapper">
                                    <div class="offshore-file-preview"></div>
                                    <input name="child_file_id" class="offshore-text offshore-file-id" value="" style="display:none;"/>
                                    <input name="" class="offshore-text" value="" />
                                    <a href="javascript:void(0)" class="offshore-button offshore-media-btn"><?php _e( 'Upload File', 'offshorecore' ); ?></a>
                                </div>
                            </div>
                        </div>
                        <a href="javascript:void(0)" class="offshore-button offshore-clone-remove" style=""><?php _e( 'Remove', 'offshorecore' ); ?></a>
                    </div>
                    <a href="javascript:void(0)" class="offshore-button offshore-clone-add" style="width:100%;text-align:center;margin-bottom:30px;margin-top:2px;border-radius:0;"><?php _e( 'Add More', 'offshorecore' ); ?></a>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Post Box Modal -->
    <script type="text/template" id="offshore-modal-post-box">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="post_box" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Post Type', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the type of post.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select id="offshore-post-select" name="type">
                                    <option value=""><?php _e( 'None', 'offshore' ); ?></option>
                                    <?php
                                        foreach ( get_post_types( '', 'names' ) as $post_type ) {
                                           echo '<option value="' . $post_type . '">' . ucfirst( $post_type ) . '</option>';
                                        }
                                    ?>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Post ID', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the post.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select id="offshore-post-list" name="id">
                                    <option><?php _e( 'Select post type above', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Recent Posts Modal -->
    <script type="text/template" id="offshore-modal-recent-posts">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="recent_posts" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Post Type', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the type of post. Displays 3 latest posts of the selected post type.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="type">
                                    <option value=""><?php _e( 'None', 'offshore' ); ?></option>
                                    <?php
                                        foreach ( get_post_types( '', 'names' ) as $post_type ) {
                                           echo '<option value="' . $post_type . '">' . ucfirst( $post_type ) . '</option>';
                                        }
                                    ?>
                                </select>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Partners Modal -->
    <script type="text/template" id="offshore-modal-partners">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="partners" />
                <input type="hidden" class="offshore-child-tag" value="partner" />
                <form class="offshore-sc-form">
                    <div class="offshore-clone" style="background-color:#f7f7f7;padding:30px;margin:30px 0 0;border: 1px solid rgba(0, 0, 0, 0.2);">
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Partner Image', 'offshore' ); ?></p>
                                <em><?php _e( 'Upload partner image.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <div class="offshore-media-wrapper">
                                    <div class="offshore-file-preview"></div>
                                    <input name="child_image" class="offshore-text" value="" />
                                    <a href="javascript:void(0)" class="offshore-button offshore-media-btn"><?php _e( 'Upload File', 'offshorecore' ); ?></a>
                                </div>
                            </div>
                        </div>
                        <a href="javascript:void(0)" class="offshore-button offshore-clone-remove" style=""><?php _e( 'Remove', 'offshorecore' ); ?></a>
                    </div>
                    <a href="javascript:void(0)" class="offshore-button offshore-clone-add" style="width:100%;text-align:center;margin-bottom:30px;margin-top:2px;border-radius:0;"><?php _e( 'Add More', 'offshorecore' ); ?></a>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Heading Modal -->
    <script type="text/template" id="offshore-modal-heading">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="heading" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Heading Type', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the type of heading.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="type">
                                    <option value="h1"><?php _e( 'h1', 'offshore' ); ?></option>
                                    <option value="h2"><?php _e( 'h2', 'offshore' ); ?></option>
                                    <option value="h3"><?php _e( 'h3', 'offshore' ); ?></option>
                                    <option value="h4"><?php _e( 'h4', 'offshore' ); ?></option>
                                    <option value="h5"><?php _e( 'h5', 'offshore' ); ?></option>
                                    <option value="h6"><?php _e( 'h6', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Heading Text', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert text.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <textarea rows="5" cols="61" name="text" class="offshore-textarea"><?php _e( 'Your heading here..', 'offshore' ); ?></textarea>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Heading Font Size', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert font size value in pixels. Eg. 40.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="font_size" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Heading Font Bold', 'offshore' ); ?></p>
                            <em><?php _e( 'Make the text appear bold.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="font_bold">
                                    <option value="no"><?php _e( 'No', 'offshore' ); ?></option>
                                    <option value="yes"><?php _e( 'Yes', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Heading Font Family', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the font family.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="font_family">
                                    <option value="Roboto"><?php _e( 'Roberto', 'offshore' ); ?></option>
                                    <option value="Roboto Condensed"><?php _e( 'Roboto Condensed', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Heading Text Color', 'offshore' ); ?></p>
                            <em><?php _e( 'Set the text color.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="text_color" class="offshore-color" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Heading Text Line Height', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert the amount of space above and below heading text (in pixels). Eg. 28', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="line_height" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Heading Margin Top', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert top margin value in pixels. Eg. 10.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="margin_top" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Heading Margin Bottom', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert bottom margin value in pixels. Eg. 10.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="margin_bottom" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Heading Custom Class', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert custom class. Eg. subtitle.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="class" class="offshore-text" value="" />
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Label Modal -->
    <script type="text/template" id="offshore-modal-label">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="label" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Label Type', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the type of label.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="type">
                                    <option value="default"><?php _e( 'Default', 'offshore' ); ?></option>
                                    <option value="primary"><?php _e( 'Primary', 'offshore' ); ?></option>
                                    <option value="success"><?php _e( 'Success', 'offshore' ); ?></option>
                                    <option value="info"><?php _e( 'Info', 'offshore' ); ?></option>
                                    <option value="warning"><?php _e( 'Warning', 'offshore' ); ?></option>
                                    <option value="danger"><?php _e( 'Danger', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Label Text', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert required text.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <textarea rows="5" cols="61" name="content" class="offshore-textarea"><?php _e( 'Your heading here..', 'offshore' ); ?></textarea>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Label Font Size', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert font size value in pixels. Eg. 16.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="font_size" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Label Font Bold', 'offshore' ); ?></p>
                            <em><?php _e( 'Make the text appear bold.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="font_bold">
                                    <option value="no"><?php _e( 'No', 'offshore' ); ?></option>
                                    <option value="yes"><?php _e( 'Yes', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Label Text Color', 'offshore' ); ?></p>
                            <em><?php _e( 'Set the text color.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="text_color" class="offshore-color" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Label Margin Top', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert top margin value in pixels. Eg. 10.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="margin_top" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Label Margin Bottom', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert bottom margin value in pixels. Eg. 10.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="margin_bottom" class="offshore-text" value="" />
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Contact Box Modal -->
    <script type="text/template" id="offshore-modal-contact-box">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="contact_box" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Box Heading', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert text for heading.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="heading" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Box Text', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert address, phone numbers, etc. Eg. PO Box 16122, Collins Street West, Victoria 8007 Australia.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <textarea rows="5" cols="61" name="content" class="offshore-textarea"><?php _e( 'Your text here..', 'offshore' ); ?></textarea>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Box Icon', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the icon.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input id="" name="icon" class="offshore-text offshore-icon" style="display:none;" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Box Background Color', 'offshore' ); ?></p>
                            <em><?php _e( 'Select required background color.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="background_color" class="offshore-color" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Box Text Color', 'offshore' ); ?></p>
                            <em><?php _e( 'Select required text color.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="text_color" class="offshore-color" value="" />
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Contact Box Large Modal -->
    <script type="text/template" id="offshore-modal-contact-box-large">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="contact_box_large" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Box Heading', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert text for heading.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="heading" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Box Address', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert address. You can use <br> tag to break text.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <textarea rows="5" cols="61" name="address" class="offshore-textarea"><?php _e( 'Your address here..', 'offshore' ); ?></textarea>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Box Phone Number', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert phone number. You can use <br> tag to break text.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <textarea rows="5" cols="61" name="phone_number" class="offshore-textarea"><?php _e( 'Your number here..', 'offshore' ); ?></textarea>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Box Email', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert email address. You can use <br> tag to break text.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <textarea rows="5" cols="61" name="email" class="offshore-textarea"><?php _e( 'Your email here..', 'offshore' ); ?></textarea>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Google Maps Modal -->
    <script type="text/template" id="offshore-modal-google-maps">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="google_maps" />
                <input type="hidden" class="offshore-child-tag" value="google_map" />
                <form class="offshore-sc-form">
                    <div class="offshore-clone" style="background-color:#f7f7f7;padding:30px;margin:30px 0 0;border: 1px solid rgba(0, 0, 0, 0.2);">
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Map Latitude', 'offshore' ); ?></p>
                                <em><?php _e( 'Insert the latitude. You can use http://www.mapcoordinates.net/ to get latitude value.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <input name="child_latitude" class="offshore-text" value="" />
                            </div>
                        </div>
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Map Longitude', 'offshore' ); ?></p>
                                <em><?php _e( 'Insert the longitude. You can use http://www.mapcoordinates.net/ to get longitude value.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <input name="child_longitude" class="offshore-text" value="" />
                            </div>
                        </div>
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Map Zoom Level', 'offshore' ); ?></p>
                                <em><?php _e( 'Insert the longitude. You can use http://www.mapcoordinates.net/ to get longitude value.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <div class="offshore-select-button offshore-core-select">
                                    <select name="child_zoom">
                                        <option value="0"><?php _e( '0', 'offshore' ); ?></option>
                                        <option value="1"><?php _e( '1', 'offshore' ); ?></option>
                                        <option value="2"><?php _e( '2', 'offshore' ); ?></option>
                                        <option value="3"><?php _e( '3', 'offshore' ); ?></option>
                                        <option value="4"><?php _e( '4', 'offshore' ); ?></option>
                                        <option value="5"><?php _e( '5', 'offshore' ); ?></option>
                                        <option value="6"><?php _e( '6', 'offshore' ); ?></option>
                                        <option value="7"><?php _e( '7', 'offshore' ); ?></option>
                                        <option value="8"><?php _e( '8', 'offshore' ); ?></option>
                                        <option value="9"><?php _e( '9', 'offshore' ); ?></option>
                                        <option value="10"><?php _e( '10', 'offshore' ); ?></option>
                                        <option value="11"><?php _e( '11', 'offshore' ); ?></option>
                                        <option value="12"><?php _e( '12', 'offshore' ); ?></option>
                                        <option value="13"><?php _e( '13', 'offshore' ); ?></option>
                                        <option value="14"><?php _e( '14', 'offshore' ); ?></option>
                                        <option value="15"><?php _e( '15', 'offshore' ); ?></option>
                                        <option value="16"><?php _e( '16', 'offshore' ); ?></option>
                                        <option value="17"><?php _e( '17', 'offshore' ); ?></option>
                                        <option value="18"><?php _e( '18', 'offshore' ); ?></option>
                                        <option value="19"><?php _e( '19', 'offshore' ); ?></option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Map Title', 'offshore' ); ?></p>
                                <em><?php _e( 'Insert the title. Eg. United Kingdom.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <input name="child_title" class="offshore-text" value="" />
                            </div>
                        </div>
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Map Tab Active', 'offshore' ); ?></p>
                                <em><?php _e( 'Make this tab active by default.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <div class="offshore-select-button offshore-core-select">
                                    <select name="child_active">
                                        <option value="no"><?php _e( 'No', 'offshore' ); ?></option>
                                        <option value="yes"><?php _e( 'Yes', 'offshore' ); ?></option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <a href="javascript:void(0)" class="offshore-button offshore-clone-remove" style=""><?php _e( 'Remove', 'offshorecore' ); ?></a>
                    </div>
                    <a href="javascript:void(0)" class="offshore-button offshore-clone-add" style="width:100%;text-align:center;margin-bottom:30px;margin-top:2px;border-radius:0;"><?php _e( 'Add More', 'offshorecore' ); ?></a>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Feature Box Modal -->
    <script type="text/template" id="offshore-modal-feature-box">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="feature_box" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Box Title', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert the title text.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="title" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Description', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert feature description.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <textarea rows="5" cols="61" name="content" class="offshore-textarea"><?php _e( 'Your content here.', 'offshore' ); ?></textarea>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Box Icon', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the icon.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input id="" name="icon" class="offshore-text offshore-icon" style="display:none;" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Box Image', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the image. This overrides box icon.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-media-wrapper">
                                <div class="offshore-file-preview"></div>
                                <input name="image" class="offshore-text" value="" />
                                <a href="javascript:void(0)" class="offshore-button offshore-media-btn"><?php _e( 'Upload Image', 'offshorecore' ); ?></a>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Box Shadow', 'offshore' ); ?></p>
                            <em><?php _e( 'Adds shadow effect to the box.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <select name="shadow">
                                    <option value="yes"><?php _e( 'Yes', 'offshore' ); ?></option>
                                    <option value="no"><?php _e( 'No', 'offshore' ); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Slider Modal -->
    <script type="text/template" id="offshore-modal-slider">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="slider" />
                <input type="hidden" class="offshore-child-tag" value="slide" />
                <form class="offshore-sc-form">
                    <div class="offshore-clone" style="background-color:#f7f7f7;padding:30px;margin:30px 0 0;border: 1px solid rgba(0, 0, 0, 0.2);">
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Slide Image', 'offshore' ); ?></p>
                                <em><?php _e( 'Upload slide image.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <div class="offshore-media-wrapper">
                                    <div class="offshore-file-preview"></div>
                                    <input name="child_image" class="offshore-text" value="" />
                                    <a href="javascript:void(0)" class="offshore-button offshore-media-btn"><?php _e( 'Upload File', 'offshorecore' ); ?></a>
                                </div>
                            </div>
                        </div>
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Caption', 'offshore' ); ?></p>
                                <em><?php _e( 'Insert caption.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <textarea rows="5" cols="56" name="child_content" class="offshore-textarea"><?php _e( 'Your caption here.', 'offshore' ); ?></textarea>
                            </div>
                        </div>
                        <a href="javascript:void(0)" class="offshore-button offshore-clone-remove" style=""><?php _e( 'Remove', 'offshorecore' ); ?></a>
                    </div>
                    <a href="javascript:void(0)" class="offshore-button offshore-clone-add" style="width:100%;text-align:center;margin-bottom:30px;margin-top:2px;border-radius:0;"><?php _e( 'Add More', 'offshorecore' ); ?></a>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Counter Box Modal -->
    <script type="text/template" id="offshore-modal-counter-box">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="counter_box" />
                <input type="hidden" class="offshore-child-tag" value="counter" />
                <form class="offshore-sc-form">
                    <div class="offshore-clone" style="background-color:#f7f7f7;padding:30px;margin:30px 0 0;border: 1px solid rgba(0, 0, 0, 0.2);">
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Counter Value', 'offshore' ); ?></p>
                                <em><?php _e( 'The value on which counter should stop.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <input name="child_value" class="offshore-text" value="" />
                            </div>
                        </div>
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Counter Text Content', 'offshore' ); ?></p>
                                <em><?php _e( 'Text to display below counter value.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <input name="child_content" class="offshore-text" value="" />
                            </div>
                        </div>
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Counter Icon', 'offshore' ); ?></p>
                                <em><?php _e( 'Select the icon.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <input id="" name="child_icon" class="offshore-text offshore-icon" style="display:none;" />
                            </div>
                        </div>
                        <div class="offshore-section offshore-group">
                            <div class="offshore-col offshore-span_4_of_12">
                                <p><?php _e( 'Counter Image', 'offshore' ); ?></p>
                                <em><?php _e( 'Select the image which will be on the left of counter value. This overrides counter icon.', 'offshore' ); ?></em>
                            </div>
                            <div class="offshore-col offshore-span_8_of_12">
                                <div class="offshore-media-wrapper">
                                    <div class="offshore-file-preview"></div>
                                    <input name="child_image" class="offshore-text" value="" />
                                    <a href="javascript:void(0)" class="offshore-button offshore-media-btn"><?php _e( 'Upload Image', 'offshorecore' ); ?></a>
                                </div>
                            </div>
                        </div>
                        <a href="javascript:void(0)" class="offshore-button offshore-clone-remove" style=""><?php _e( 'Remove', 'offshorecore' ); ?></a>
                    </div>
                    <a href="javascript:void(0)" class="offshore-button offshore-clone-add" style="width:100%;text-align:center;margin-bottom:30px;margin-top:2px;border-radius:0;"><?php _e( 'Add More', 'offshorecore' ); ?></a>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Team Member Modal -->
    <script type="text/template" id="offshore-modal-team-member">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="team_member" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Member Image', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the image.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-media-wrapper">
                                <div class="offshore-file-preview"></div>
                                <input name="image" class="offshore-text" value="" />
                                <a href="javascript:void(0)" class="offshore-button offshore-media-btn"><?php _e( 'Upload Image', 'offshorecore' ); ?></a>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Member Name', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert member name.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="name" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Member Designation', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert member designation. Eg. Founder & CEO.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="designation" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Member Facebook Link', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert Facebook link.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="facebook" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Member Twitter Link', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert Twitter link.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="twitter" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Member Google+ Link', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert Google+ link.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="googleplus" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Member LinkedIn Link', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert LinkedIn link.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="linkedin" class="offshore-text" value="" />
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Member Instagram Link', 'offshore' ); ?></p>
                            <em><?php _e( 'Insert instagram link.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <input name="instagram" class="offshore-text" value="" />
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Careers Box Modal -->
    <script type="text/template" id="offshore-modal-careers-box">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="careers_box" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Label Type', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the type of label.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-select-button offshore-core-select">
                                <?php
                                    wp_dropdown_categories(
                                        array(
                                            'name' => 'department',
                                            'taxonomy' => 'department',
                                            'value_field' => 'slug',
                                            'orderby'  => 'name'
                                        )
                                    );
                                ?>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Quadral Image Modal -->
    <script type="text/template" id="offshore-modal-quadral-image">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="quadral_image" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Image 1', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the first image.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-media-wrapper">
                                <div class="offshore-file-preview"></div>
                                <input name="image1" class="offshore-text" value="" />
                                <a href="javascript:void(0)" class="offshore-button offshore-media-btn"><?php _e( 'Upload Image', 'offshorecore' ); ?></a>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Image 2', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the second image.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-media-wrapper">
                                <div class="offshore-file-preview"></div>
                                <input name="image2" class="offshore-text" value="" />
                                <a href="javascript:void(0)" class="offshore-button offshore-media-btn"><?php _e( 'Upload Image', 'offshorecore' ); ?></a>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Image 3', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the third image.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-media-wrapper">
                                <div class="offshore-file-preview"></div>
                                <input name="image3" class="offshore-text" value="" />
                                <a href="javascript:void(0)" class="offshore-button offshore-media-btn"><?php _e( 'Upload Image', 'offshorecore' ); ?></a>
                            </div>
                        </div>
                    </div>
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_4_of_12">
                            <p><?php _e( 'Image 4', 'offshore' ); ?></p>
                            <em><?php _e( 'Select the fourth image.', 'offshore' ); ?></em>
                        </div>
                        <div class="offshore-col offshore-span_8_of_12">
                            <div class="offshore-media-wrapper">
                                <div class="offshore-file-preview"></div>
                                <input name="image4" class="offshore-text" value="" />
                                <a href="javascript:void(0)" class="offshore-button offshore-media-btn"><?php _e( 'Upload Image', 'offshorecore' ); ?></a>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>
    <!-- Recent Services Modal -->
    <script type="text/template" id="offshore-modal-recent-services">
        <div class="offshore-modal__section">
            <div class="offshore-modal__section_wrapper">
                <input type="hidden" class="offshore-tag" value="recent_services" />
                <form class="offshore-sc-form">
                    <div class="offshore-section offshore-group">
                        <div class="offshore-col offshore-span_12_of_12">
                            <p><?php _e( 'There are no options for this short code. Just click insert short code button below.', 'offshore' ); ?></p>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="offshore-modal__bottombar">
            <a href="javascript:void(0)" class="offshore-button offshore-submit"><?php _e( 'Insert Shortcode', 'offshorecore' ); ?></a>
        </div>
    </script>

    <!-- Offshore Ajax Script -->
    <script type="text/javascript" >
        jQuery(document).ready(function($) {
            $( '#offshore-modal' ).on( 'change', '#offshore-post-select', function() {
                var data = {
                    'action': 'offshore_post_list',
                    'security': '<?php echo wp_create_nonce( "offshore-post-list" ); ?>',
                    'type': $('#offshore-post-select').val()
                };
                // console.log($(this).val());
                jQuery.post( ajaxurl, data, function( r ) {

                    $('#offshore-post-list').html( r );

                });
            });
            $( document ).on( 'change', '.offshore-post-select .wpb-select', function() {
                var data = {
                    'action': 'offshore_post_list',
                    'security': '<?php echo wp_create_nonce( "offshore-post-list" ); ?>',
                    'type': $('.offshore-post-select .wpb-select').val()
                };
                console.log($(this).val());
                jQuery.post( ajaxurl, data, function( r ) {

                    $('.offshore-post-id-select .wpb-select').html( r );

                });
            });
        });
    </script>
    <?php
}
add_action( 'admin_footer', 'offshore_core_template' );

add_action( 'wp_ajax_offshore_post_list', 'offshore_post_list_callback' );

function offshore_post_list_callback() {

    check_ajax_referer( 'offshore-post-list', 'security' );

    $type = $_POST['type'];
    $output = '';

    $args = array(
        'post_type' => $type,
        'post_status' => 'publish',
        'posts_per_page' => -1,
        'caller_get_posts'=> 1
    );

    $qquery = new WP_Query( $args );

    if( $qquery->have_posts() ) {

        while ( $qquery->have_posts() ) {
            $qquery->the_post();

           $output .= '<option value="' . get_the_ID() . '">' . get_the_title() . '</option>';
        }
    }
    wp_reset_query();

    echo $output;

    wp_die(); // this is required to terminate immediately and return a proper response
}


/**
 * Add buttons to TinyMCE
 * @since  1.0.0
 */
add_action('init', 'offshore_add_button');

function offshore_add_button() {
    if(strstr($_SERVER['REQUEST_URI'], 'wp-admin/post-new.php') || strstr($_SERVER['REQUEST_URI'], 'wp-admin/post.php')) {
        if ( current_user_can('edit_posts') &&  current_user_can('edit_pages') )
        {
            add_filter('mce_external_plugins', 'offshore_add_plugin');
            add_filter('mce_buttons', 'offshore_register_button');
        }
    }
}
function offshore_register_button($buttons) {
   array_push($buttons, "offshoresc");
   return $buttons;
}
function offshore_add_plugin($plugin_array) {
    $plugin_array['offshoresc'] = plugins_url( 'assets/js/mce-button.js', __FILE__ );
   return $plugin_array;
}

/**
 * Include ShortCodes
 */
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/alert.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/accordion.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/blockquote.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/button.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/contact-form.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/drop-cap.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/tab.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/columns.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/icons.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/dual-image.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/section.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/post-box.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/progress-bar.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/counter-box.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/service-box.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/spacer.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/testimonial.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/downloads-box.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/recent-posts.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/partners.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/label.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/contact-box.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/google-maps.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/feature-box.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/slider.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/team-member.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/careers-box.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/quadral-image.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/open-positions.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/apply-job.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/recent-services.php' );
require_once( plugin_dir_path( __FILE__ ) . 'shortcodes/breadcrumbs.php' );

/**
 * Removes unwanted p and br tags from short codes
 * https://gist.github.com/bitfade/4555047
 * Explanation - http://pastie.org/pastes/7122892/text?key=eqptyqa4qdmempics74xsa
 * @since  1.0.0
 * @param  string    $content
 * @return string
 */
function offshore_content_filter( $content ) {
    // array of custom shortcodes requiring the fix
    $block = join("|",array("offshore_section","offshore_row","offshore_column","offshore_accordion","offshore_accordion_panel","offshore_alert","offshore_blockquote","offshore_button","offshore_contact_form","offshore_drop_cap","offshore_dual_image","offshore_social_icons","offshore_tab","offshore_tab_panel","offshore_post_box","offshore_progress_bar","offshore_counter_box","offshore_counter","offshore_service_box","offshore_spacer","offshore_testimonial","offshore_downloads_box","offshore_downloads_box_item","offshore_recent_posts","offshore_partners","offshore_partner","offshore_label","offshore_contact_box","offshore_contact_box_large","offshore_google_maps","offshore_google_map","offshore_feature_box","offshore_slider","offshore_slide","offshore_team_member"));

    // opening tag
    $rep = preg_replace("/(<p>)?\[($block)(\s[^\]]+)?\](<\/p>|<br \/>)?/","[$2$3]",$content);
    // closing tag
    $rep = preg_replace("/(<p>)?\[\/($block)](<\/p>|<br \/>)?/","[/$2]",$rep);
    return $rep;
}
add_filter( 'the_content', 'offshore_content_filter' );

/**
 * Download files
 * @since  1.0.0
 */
function offshore_download() {

    if( empty( $_GET[ 'offshore_dl' ] ) ){
        return;
    }

    $file_abs_url = get_attached_file( $_GET['offshore_dl'] );
    if ( is_file( $file_abs_url ) ) {

        // required for IE & Safari
        if( ini_get('zlib.output_compression') ) {
            ini_set('zlib.output_compression', 'Off');
        }

        $file_name = basename( $file_abs_url );

        // get the file mime type using the file extension
        switch( strtolower( substr( strrchr( $file_name, '.' ), 1 ) ) ) {
            case 'pdf': $mime = 'application/pdf'; break;
            case 'zip': $mime = 'application/zip'; break;
            case 'jpeg':
            case 'jpg': $mime = 'image/jpg'; break;
            default: $mime = 'application/force-download';
        }

        header( 'Pragma: public' );   // required
        header( 'Expires: 0' );       // no cache
        header( 'Cache-Control: must-revalidate, post-check=0, pre-check=0' );
        header( 'Last-Modified: ' . gmdate ('D, d M Y H:i:s', @filemtime ( $file_abs_url) ) .' GMT' );
        header( 'Cache-Control: private', false );
        header( 'Content-Type: ' . $mime );
        header( 'Content-Disposition: attachment; filename="' . $file_name . '"' );
        header( 'Content-Transfer-Encoding: binary' );
        header( 'Content-Length: '. @filesize( $file_abs_url ) ); // provide file size
        header( 'Connection: close' );
        @readfile( $file_abs_url );
        die(); // required to properly download file

    }

    // echo $file_abs_url;

    // wp_die(); // this is required to terminate immediately and return a proper response
}
add_action( 'init', 'offshore_download', 10);
/**
 * Converts bytes into GB, MB, KB, bytes, byte.
 * http://stackoverflow.com/questions/5501427/php-filesize-mb-kb-conversion
 *
 * @since  1.0.0
 * @param  int    $bytes
 * @return string
 */
function offshore_format( $bytes ) {
    if ($bytes >= 1073741824) {
        $bytes = number_format($bytes / 1073741824, 2) . ' ' . __( 'GB', 'offshore' );
    } elseif ($bytes >= 1048576) {
        $bytes = number_format($bytes / 1048576, 2) . ' ' . __( 'MB', 'offshore' );
    } elseif ($bytes >= 1024) {
        $bytes = number_format($bytes / 1024, 2) . ' ' . __( 'KB', 'offshore' );
    } elseif ($bytes > 1) {
        $bytes = $bytes . ' ' . __( 'bytes', 'offshore' );
    } elseif ($bytes == 1) {
        $bytes = $bytes . ' ' . __( 'byte', 'offshore' );
    } else {
        $bytes = __( '0 bytes', 'offshore' );
    }
    return $bytes;
}

/**
 * http://stackoverflow.com/questions/24042890/add-class-to-wordpress-image-a-anchor-elements
 * @since 1.0.0
 *
 * @param string $content
 *
 * @return mixed|string
 */
function offshore_classes_to_linked_images($content) {
    $classes = 'hover-effect'; // can do multiple classes, separate with space
    // check if there are already a class property assigned to the anchor
    if ( preg_match('/<a.*? class=".*?"><img/', $content) ) {
        // If there is, simply add the class
        $content = preg_replace('/(<a.*? class=".*?)(".*?><img)/', '$1 ' . $classes . '$2', $content);
    } else {
        // If there is not an existing class, create a class property
        $content = preg_replace('/(<a.*?)><img/', '$1 class="' . $classes . '" ><img', $content);
    }
    return $content;
}
add_filter('the_content', 'offshore_classes_to_linked_images', 100, 1);


add_action( 'init', 'offshore_careers_init' );
/**
 * Register a post type.
  * @link http://codex.wordpress.org/Function_Reference/register_post_type
 */
function offshore_careers_init() {
    $labels = array(
        'name'               => _x( 'Careers', 'post type general name', 'offshorecore' ),
        'singular_name'      => _x( 'Career', 'post type singular name', 'offshorecore' ),
        'menu_name'          => _x( 'Careers', 'admin menu', 'offshorecore' ),
        'name_admin_bar'     => _x( 'Position', 'add new on admin bar', 'offshorecore' ),
        'add_new'            => _x( 'Add New', 'career', 'offshorecore' ),
        'add_new_item'       => __( 'Add New Position', 'offshorecore' ),
        'new_item'           => __( 'New Position', 'offshorecore' ),
        'edit_item'          => __( 'Edit Position', 'offshorecore' ),
        'view_item'          => __( 'View Position', 'offshorecore' ),
        'all_items'          => __( 'All Positions', 'offshorecore' ),
        'search_items'       => __( 'Search Careers', 'offshorecore' ),
        'parent_item_colon'  => __( 'Parent Positions:', 'offshorecore' ),
        'not_found'          => __( 'No positions found.', 'offshorecore' ),
        'not_found_in_trash' => __( 'No positions found in Trash.', 'offshorecore' )
    );

    $args = array(
        'labels'             => $labels,
        'description'        => __( 'Description.', 'offshorecore' ),
        'public'             => true,
        'publicly_queryable' => true,
        'show_ui'            => true,
        'show_in_menu'       => true,
        'menu_icon'          => 'dashicons-welcome-learn-more',
        'query_var'          => true,
        'rewrite'            => array( 'slug' => 'careers' ),
        'capability_type'    => 'post',
        'has_archive'        => false,
        'hierarchical'       => false,
        'menu_position'      => null,
        'supports'           => array( 'title', 'editor', 'excerpt' )
    );

    register_post_type( 'career', $args );

    $labels = array(
        'name'               => _x( 'Services', 'post type general name', 'offshorecore' ),
        'singular_name'      => _x( 'Service', 'post type singular name', 'offshorecore' ),
        'menu_name'          => _x( 'Services', 'admin menu', 'offshorecore' ),
        'name_admin_bar'     => _x( 'Service', 'add new on admin bar', 'offshorecore' ),
        'add_new'            => _x( 'Add New', 'service', 'offshorecore' ),
        'add_new_item'       => __( 'Add New Service', 'offshorecore' ),
        'new_item'           => __( 'New Service', 'offshorecore' ),
        'edit_item'          => __( 'Edit Service', 'offshorecore' ),
        'view_item'          => __( 'View Service', 'offshorecore' ),
        'all_items'          => __( 'All Services', 'offshorecore' ),
        'search_items'       => __( 'Search Services', 'offshorecore' ),
        'parent_item_colon'  => __( 'Parent Services:', 'offshorecore' ),
        'not_found'          => __( 'No services found.', 'offshorecore' ),
        'not_found_in_trash' => __( 'No services found in Trash.', 'offshorecore' )
    );

    $args = array(
        'labels'             => $labels,
        'description'        => __( 'Description.', 'offshorecore' ),
        'public'             => true,
        'publicly_queryable' => true,
        'show_ui'            => true,
        'show_in_menu'       => true,
        'menu_icon'          => 'dashicons-businessman',
        'query_var'          => true,
        'rewrite'            => array( 'slug' => 'services' ),
        'capability_type'    => 'post',
        'has_archive'        => true,
        'hierarchical'       => false,
        'menu_position'      => null,
        'supports'           => array( 'title', 'editor', 'excerpt', 'thumbnail' )
    );

    register_post_type( 'services', $args );

    $labels = array(
        'name'               => _x( 'Testimonials', 'post type general name', 'offshorecore' ),
        'singular_name'      => _x( 'Testimonial', 'post type singular name', 'offshorecore' ),
        'menu_name'          => _x( 'Testimonials', 'admin menu', 'offshorecore' ),
        'name_admin_bar'     => _x( 'Testimonial', 'add new on admin bar', 'offshorecore' ),
        'add_new'            => _x( 'Add New', 'testimonial', 'offshorecore' ),
        'add_new_item'       => __( 'Add New Testimonial', 'offshorecore' ),
        'new_item'           => __( 'New Testimonial', 'offshorecore' ),
        'edit_item'          => __( 'Edit Testimonial', 'offshorecore' ),
        'view_item'          => __( 'View Testimonial', 'offshorecore' ),
        'all_items'          => __( 'All Testimonials', 'offshorecore' ),
        'search_items'       => __( 'Search Testimonials', 'offshorecore' ),
        'parent_item_colon'  => __( 'Parent Testimonials:', 'offshorecore' ),
        'not_found'          => __( 'No testimonials found.', 'offshorecore' ),
        'not_found_in_trash' => __( 'No testimonials found in trash.', 'offshorecore' )
    );

    $args = array(
        'labels'             => $labels,
        'description'        => __( 'Description.', 'offshorecore' ),
        'public'             => true,
        'publicly_queryable' => true,
        'show_ui'            => true,
        'show_in_menu'       => true,
        'menu_icon'          => 'dashicons-editor-quote',
        'query_var'          => true,
        'rewrite'            => array( 'slug' => 'testimonials' ),
        'capability_type'    => 'post',
        'has_archive'        => true,
        'hierarchical'       => false,
        'menu_position'      => null,
        'supports'           => array( 'title', 'editor' )
    );

    register_post_type( 'testimonial', $args );
}

// hook into the init action and call create_book_taxonomies when it fires
add_action( 'init', 'offshore_careers_taxonomies', 0 );

// create two taxonomies, genres and writers for the post type "careers"
function offshore_careers_taxonomies() {
    // Add new taxonomy, make it hierarchical (like categories)
    $labels = array(
        'name'              => _x( 'Departments', 'taxonomy general name' ),
        'singular_name'     => _x( 'Department', 'taxonomy singular name' ),
        'search_items'      => __( 'Search Departments', 'offshorecore' ),
        'all_items'         => __( 'All Departments', 'offshorecore' ),
        'parent_item'       => __( 'Parent Department', 'offshorecore' ),
        'parent_item_colon' => __( 'Parent Department:', 'offshorecore' ),
        'edit_item'         => __( 'Edit Department', 'offshorecore' ),
        'update_item'       => __( 'Update Department', 'offshorecore' ),
        'add_new_item'      => __( 'Add New Department', 'offshorecore' ),
        'new_item_name'     => __( 'New Department Name', 'offshorecore' ),
        'menu_name'         => __( 'Department', 'offshorecore' ),
    );
    $args = array(
        'hierarchical'      => true,
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => true,
        'rewrite'           => array( 'slug' => 'department' ),
    );
    register_taxonomy( 'department', array( 'career' ), $args );

    $labels = array(
        'name'              => _x( 'States', 'taxonomy general name' ),
        'singular_name'     => _x( 'State', 'taxonomy singular name' ),
        'search_items'      => __( 'Search States', 'offshorecore' ),
        'all_items'         => __( 'All States', 'offshorecore' ),
        'parent_item'       => __( 'Parent State', 'offshorecore' ),
        'parent_item_colon' => __( 'Parent State:', 'offshorecore' ),
        'edit_item'         => __( 'Edit State', 'offshorecore' ),
        'update_item'       => __( 'Update State', 'offshorecore' ),
        'add_new_item'      => __( 'Add New State', 'offshorecore' ),
        'new_item_name'     => __( 'New State Name', 'offshorecore' ),
        'menu_name'         => __( 'State', 'offshorecore' ),
    );
    $args = array(
        'hierarchical'      => true,
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => true,
        'rewrite'           => array( 'slug' => 'state' ),
    );
    register_taxonomy( 'state', array( 'career' ), $args );

    $labels = array(
        'name'              => _x( 'Countries', 'taxonomy general name' ),
        'singular_name'     => _x( 'Country', 'taxonomy singular name' ),
        'search_items'      => __( 'Search Countries', 'offshorecore' ),
        'all_items'         => __( 'All Countries', 'offshorecore' ),
        'parent_item'       => __( 'Parent Country', 'offshorecore' ),
        'parent_item_colon' => __( 'Parent Country:', 'offshorecore' ),
        'edit_item'         => __( 'Edit Country', 'offshorecore' ),
        'update_item'       => __( 'Update Country', 'offshorecore' ),
        'add_new_item'      => __( 'Add New Country', 'offshorecore' ),
        'new_item_name'     => __( 'New Country Name', 'offshorecore' ),
        'menu_name'         => __( 'Country', 'offshorecore' ),
    );
    $args = array(
        'hierarchical'      => true,
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => true,
        'rewrite'           => array( 'slug' => 'country' ),
    );
    register_taxonomy( 'country', array( 'career' ), $args );

    $labels = array(
        'name'              => _x( 'Educations', 'taxonomy general name' ),
        'singular_name'     => _x( 'Education', 'taxonomy singular name' ),
        'search_items'      => __( 'Search Educations', 'offshorecore' ),
        'all_items'         => __( 'All Educations', 'offshorecore' ),
        'parent_item'       => __( 'Parent Education', 'offshorecore' ),
        'parent_item_colon' => __( 'Parent Education:', 'offshorecore' ),
        'edit_item'         => __( 'Edit Education', 'offshorecore' ),
        'update_item'       => __( 'Update Education', 'offshorecore' ),
        'add_new_item'      => __( 'Add New Education', 'offshorecore' ),
        'new_item_name'     => __( 'New Education Name', 'offshorecore' ),
        'menu_name'         => __( 'Education', 'offshorecore' ),
    );
    $args = array(
        'hierarchical'      => true,
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => true,
        'rewrite'           => array( 'slug' => 'education' ),
    );
    register_taxonomy( 'education', array( 'career' ), $args );

    $labels = array(
        'name'              => _x( 'Experiences', 'taxonomy general name' ),
        'singular_name'     => _x( 'Experience', 'taxonomy singular name' ),
        'search_items'      => __( 'Search Experiences', 'offshorecore' ),
        'all_items'         => __( 'All Experiences', 'offshorecore' ),
        'parent_item'       => __( 'Parent Experience', 'offshorecore' ),
        'parent_item_colon' => __( 'Parent Experience:', 'offshorecore' ),
        'edit_item'         => __( 'Edit Experience', 'offshorecore' ),
        'update_item'       => __( 'Update Experience', 'offshorecore' ),
        'add_new_item'      => __( 'Add New Experience', 'offshorecore' ),
        'new_item_name'     => __( 'New Experience Name', 'offshorecore' ),
        'menu_name'         => __( 'Experience', 'offshorecore' ),
    );
    $args = array(
        'hierarchical'      => true,
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => true,
        'rewrite'           => array( 'slug' => 'experience' ),
    );
    register_taxonomy( 'experience', array( 'career' ), $args );

    $labels = array(
        'name'              => _x( 'Work Types', 'taxonomy general name' ),
        'singular_name'     => _x( 'Work Type', 'taxonomy singular name' ),
        'search_items'      => __( 'Search Work Types', 'offshorecore' ),
        'all_items'         => __( 'All Work Types', 'offshorecore' ),
        'parent_item'       => __( 'Parent Work Type', 'offshorecore' ),
        'parent_item_colon' => __( 'Parent Work Type:', 'offshorecore' ),
        'edit_item'         => __( 'Edit Work Type', 'offshorecore' ),
        'update_item'       => __( 'Update Work Type', 'offshorecore' ),
        'add_new_item'      => __( 'Add New Work Type', 'offshorecore' ),
        'new_item_name'     => __( 'New Work Type Name', 'offshorecore' ),
        'menu_name'         => __( 'Work Type', 'offshorecore' ),
    );
    $args = array(
        'hierarchical'      => false,
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => true,
        'rewrite'           => array( 'slug' => 'work-type' ),
    );
    register_taxonomy( 'work-type', array( 'career' ), $args );
}

/**
 * Displays apply job button at bottom on career post
 * @since  1.0.0
 */
function offshore_apply_job_button() {
    if( is_single( get_the_ID() ) && 'career' == get_post_type() ) {
        $meta = get_post_meta( get_the_ID(), 'offshore_options', true );
        $text = isset( $meta[ 'apply_job_button_text' ] ) && $meta[ 'apply_job_button_text' ] != '' ? $meta[ 'apply_job_button_text' ] : __( 'APPLY TO THIS JOB', 'offshorecore' );
        $type = isset( $meta[ 'apply_job_button_type' ] ) ? $meta[ 'apply_job_button_type' ] : 'popup';
        $link = isset( $meta[ 'apply_job_button_link' ] ) ? $meta[ 'apply_job_button_link' ] : '';
        $wpcf7 = isset( $meta[ 'apply_job_button_wpcf7' ] ) ? $meta[ 'apply_job_button_wpcf7' ] : '';
        if( $meta ){
            if( isset( $meta['apply_job_button'] ) ){
                if( $meta['apply_job_button'] == 'yes' ){
                    echo do_shortcode( '[offshore_spacer height="50"][offshore_apply_job type="' . esc_attr( $type ) . '" link="' . esc_attr( $link ) . '" text="' . esc_attr( $text ) . '" wpcf7="' . esc_attr( $wpcf7 ) . '"]' );
                }
            } else {
                echo do_shortcode( '[offshore_spacer height="50"][offshore_apply_job type="' . esc_attr( $type ) . '" link="' . esc_attr( $link ) . '" text="' . esc_attr( $text ) . '" wpcf7="' . esc_attr( $wpcf7 ) . '"]' );
            }
        } else {
            echo do_shortcode( '[offshore_spacer height="50"][offshore_apply_job type="' . esc_attr( $type ) . '" link="' . esc_attr( $link ) . '" text="' . esc_attr( $text ) . '" wpcf7="' . esc_attr( $wpcf7 ) . '"]' );
        }
    }
}
add_action( 'offshore_content_bottom', 'offshore_apply_job_button' );

/**
 * Filter the except length to 20 characters.
 *
 * @param int $length Excerpt length.
 * @return int (Maybe) modified excerpt length.
 */
function offshore_excerpt_length( $length ) {
    return 15;
}
add_filter( 'excerpt_length', 'offshore_excerpt_length', 999 );

require_once( plugin_dir_path( __FILE__ ) . 'classes/include-kirki.php' );
require_once( plugin_dir_path( __FILE__ ) . 'classes/kirki-fallback.php' );
require_once( plugin_dir_path( __FILE__ ) . 'customizer.php' );
require_once( plugin_dir_path( __FILE__ ) . 'widgets.php' );
require_once( plugin_dir_path( __FILE__ ) . 'metaboxes.php' );

/**
 * Add 5/12 & 7/12 column layout to Visual Composer
 * @since  1.0.0
 * @return
 */
function offshore_vc_layouts() {
    global $vc_row_layouts;
    $var = array(
        'cells' => '512_712',
        'mask' => '36',
        'title' => 'Offshore 5/12 + 7/12',
        'icon_class' => 'l_12_12',
    );
    array_push( $vc_row_layouts, $var );
}
add_action( 'vc_after_init_base', 'offshore_vc_layouts' );

/**
 * Converts a HEX value to RGB.
 *
 * @since Offshore 1.0.0
 *
 * @param string $color The original color, in 3- or 6-digit hexadecimal form.
 * @return array Array containing RGB (red, green, and blue) values for the given
 *               HEX code, empty array otherwise.
 */
function offshore_hex2rgb( $color ) {
    $color = trim( $color, '#' );

    if ( strlen( $color ) === 3 ) {
        $r = hexdec( substr( $color, 0, 1 ).substr( $color, 0, 1 ) );
        $g = hexdec( substr( $color, 1, 1 ).substr( $color, 1, 1 ) );
        $b = hexdec( substr( $color, 2, 1 ).substr( $color, 2, 1 ) );
    } else if ( strlen( $color ) === 6 ) {
        $r = hexdec( substr( $color, 0, 2 ) );
        $g = hexdec( substr( $color, 2, 2 ) );
        $b = hexdec( substr( $color, 4, 2 ) );
    } else {
        return array();
    }

    return array( 'red' => $r, 'green' => $g, 'blue' => $b );
}
function offshore_darken_color($rgb, $darker=2) {

    $hash = (strpos($rgb, '#') !== false) ? '#' : '';
    $rgb = (strlen($rgb) == 7) ? str_replace('#', '', $rgb) : ((strlen($rgb) == 6) ? $rgb : false);
    if(strlen($rgb) != 6) return $hash.'000000';
    $darker = ($darker > 1) ? $darker : 1;

    list($R16,$G16,$B16) = str_split($rgb,2);

    $R = sprintf("%02X", floor(hexdec($R16)/$darker));
    $G = sprintf("%02X", floor(hexdec($G16)/$darker));
    $B = sprintf("%02X", floor(hexdec($B16)/$darker));

    return $hash.$R.$G.$B;
}
function offshore_css() {
    $hex = get_theme_mod( 'primary_color', '#093eb6' );
    $hex_sec = get_theme_mod( 'secondary_color', '#FFDA44' );
    $rgb = offshore_hex2rgb( $hex );
    $rgb_sec = offshore_hex2rgb( $hex_sec );
    $hex_dark = offshore_darken_color( $hex, 1.3 );
    $hex_sec_dark = offshore_darken_color( $hex_sec, 1.1 );
    $css = '<style id="offshore-css" type="text/css">.top-widgets ul.social-icons li a{background-color: rgba( '. $rgb['red'] .', '. $rgb['green'] .', '. $rgb['blue'] .', 0.65 ); }.btn-default:hover,.open-positions ul li a.btn:hover,.newsletter button:hover,.widgets-social a:hover,.sidebar-fact a.btn:hover,.response-btn a.btn:hover{background-color:'. $hex_sec_dark .';}.btn-primary:hover,button.btn.btn-warning:hover,.sidebar-download .download-file:hover,.wpcf7-submit.btn.btn-warning:hover{background-color:'. $hex_dark .';}a.link:hover {color: '. $hex_sec_dark .';}.panel-default>.panel-heading a:hover,.blog-content a:hover,.nav-tabs>li.active>a, .nav-tabs>li.active>a:focus, .nav-tabs>li.active>a:hover,.nav-tabs>li>a:hover{color:'. $hex_dark .';}.img-hover-effect:after{background-color:rgba( '. $rgb_sec['red'] .', '. $rgb_sec['green'] .', '. $rgb_sec['blue'] .', 0.7 );}</style>';
    echo $css;
}
add_action( 'wp_head', 'offshore_css' );

function offshore_front_slider( $meta ) {
    if( shortcode_exists("rev_slider") && isset( $meta['rev_slider_alias'] ) && $meta['rev_slider_alias'] != '' ){
        echo do_shortcode('[rev_slider alias="' . $meta['rev_slider_alias'] . '"]');
    }
}
add_action( 'offshore_rev_slider', 'offshore_front_slider' );