<?php

if ( !function_exists( 'offshore_alert_shortcode' ) ) {

    function offshore_alert_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(

            array(

                'dismissable' => '',
                'type' => '',
                'text_color' => '',
                'background_color' => '',
                'border_size' => '',
                'border_style' => '',
                'border_color' => '',
                'border_radius' => ''

            ), $atts));

        if ($dismissable == 'yes') {
            $dismissable = '<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>';
        } else {
            $dismissable = '';
        }

        if (!$type == null) {
            $type = 'alert-' . $type;
        } else {
            $type = '';
        }

        if (!$text_color == null) {
            $text_color = 'color:' . $text_color . '!important;';
        } else {
            $text_color = '';
        }

        if (!$background_color == null) {
            $background_color = 'background-color:' . $background_color . '!important;';
        } else {
            $background_color = '';
        }

        if (!$border_size == null) {
            $border_size = 'border-width:' . $border_size . 'px!important;';
        } elseif ($border_size === '0') {
            $border_size = 'border-width:' . $border_size . '!important;';
        } else {
            $border_size = '';
        }

        if (!$border_style == null) {
            $border_style = 'border-style:' . $border_style . '!important;';
        } else {
            $border_style = '';
        }

        if (!$border_color == null) {
            $border_color = 'border-color:' . $border_color . '!important;';
        } else {
            $border_color = '';
        }

        if (!$border_radius == null) {
            $border_radius = '-webkit-border-radius:' . $border_radius . 'px!important;-moz-border-radius:' . $border_radius . 'px!important;border-radius:' . $border_radius . 'px!important;';
        } elseif ($border_radius === '0') {
            $border_radius = '-webkit-border-radius:' . $border_radius . '!important;-moz-border-radius:' . $border_radius . '!important;border-radius:' . $border_radius . '!important;';
        } else {
            $border_radius = '';
        }

        ob_start();

        ?>

        <!-- Offshore - Alert - Start -->
        <div class="alert <?php echo $type; ?> alert-dismissible" role="alert"
             style="<?php echo $text_color . $background_color . $border_size . $border_style . $border_color . $border_radius; ?>">
            <?php echo $dismissable . do_shortcode( $content ); ?>
        </div>
        <!-- Offshore - Alert - End -->

        <?php

        $output = ob_get_clean();

        return $output;
    }

    add_shortcode( 'offshore_alert', 'offshore_alert_shortcode' );

}

function offshore_vc_alert() {
    vc_map( array(
        'name'        => __( 'Alert', 'offshorecore' ),
        'description' => __( 'Add Alert', 'offshorecore' ),
        'base'        => 'offshore_alert',
        'class'       => 'offshore',
        'icon'        => 'fa fa-exclamation-triangle',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'content_element' => true,
        'params'      => array(
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'class'       => '',
                'heading'     => __( 'Alert Type', 'offshorecore' ),
                'param_name'  => 'type',
                'value'       => array_flip( array(
                    '' => __( 'Default', 'offshorecore' ),
                    'danger' => __( 'Danger', 'offshorecore' ),
                    'info' => __( 'Info', 'offshorecore' ),
                    'success' => __( 'Success', 'offshorecore' ),
                    'warning' => __( 'Warning', 'offshorecore' )
                ) ),
                'description' => __( 'Select the type of alert message.', 'offshorecore' )
            ),
            array(
                'type'        => 'textarea_html',
                'heading'     => __( 'Alert Content', 'offshorecore' ),
                'param_name'  => 'content',
                'description' => __( 'Insert the alert\'s content.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'heading'     => __( 'Alert Dismissable', 'offshorecore' ),
                'param_name'  => 'dismissable',
                'value'       => array_flip( array(
                    'yes' => __( 'Yes', 'offshorecore' ),
                    'no' => __( 'No', 'offshorecore' )
                ) ),
                'description' => __( 'Select whether you want the alert box to be dismissable.', 'offshorecore' )
            ),
            array(
                'type' => 'colorpicker',
                'heading' => __( 'Alert Text Color', 'offshorecore' ),
                'param_name' => 'text_color',
                'value' => '',
                'description' => __( 'Set the text color for alert box.', 'offshorecore' ),
                'group' => __( 'Color', 'offshorecore' )
            ),
            array(
                'type' => 'colorpicker',
                'heading' => __( 'Alert Text Color', 'offshorecore' ),
                'param_name' => 'text_color',
                'value' => '',
                'description' => __( 'Set the background color for alert box.', 'offshorecore' ),
                'group' => __( 'Color', 'offshorecore' )
            ),
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Border Size', 'offshorecore' ),
                'param_name'  => 'border_size',
                'description' => __( 'Set the border size for alert box.', 'offshorecore' ),
                'value' => '',
                'group' => __( 'Border', 'offshorecore' )
            ),
            array(
                'type' => 'colorpicker',
                'heading' => __( 'Alert Border Color', 'offshorecore' ),
                'param_name' => 'text_color',
                'value' => '',
                'description' => __( 'Set the border size for alert box in pixels. Ex: 1.', 'offshorecore' ),
                'group' => __( 'Border', 'offshorecore' )
            ),
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_alert' );
}