<?php

if ( !function_exists( 'offshore_apply_job_shortcode' ) ) {

    function offshore_apply_job_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(

            array(

                'type' => 'link',
                'link' => '',
                'wpcf7' => '',
                'text' => __( 'APPLY TO THIS JOB', 'offshorecore' )

            ), $atts));

        $id = 'apply-job-' . get_the_ID();
        $modal = '';
        $script = '';

        if( $type != 'link' ){
            $link = '';
            $modal =  ' data-toggle="modal" data-target="#modal-'. get_the_ID() .'"';
        }

        $output = '<div class="text-center response-btn">
                        <a href="' . esc_attr( $link ) . '" id="'. esc_attr( $id ) .'" class="btn btn-primary" role="button"'. $modal .'>' . esc_html( $text ) . '</a>
                    </div>';

        if( $type != 'link' && $wpcf7 != '' ){
            $output .= '<div class="modal fade offshore-modal-form" id="modal-'. get_the_ID() .'" tabindex="-1" role="dialog" aria-labelledby="modal-'. get_the_ID() .'-label">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="modal-'. get_the_ID() .'-label">' . __( 'Apply for ', 'offshorecore' ) . get_the_title() . '</h4>
      </div>
      <div class="modal-body">
        ' . do_shortcode( '[contact-form-7 id="' . esc_attr( $wpcf7 ) . '" title="' . get_the_title() . '"]' ) . '
      </div>
    </div>
  </div>
</div>';
        }

        return $output;

    }

    add_shortcode( 'offshore_apply_job', 'offshore_apply_job_shortcode' );

}

function offshore_vc_apply_job() {
    $wpcf7_params = array();

    $wpcf7_args = array( 'post_type' => 'wpcf7_contact_form', 'posts_per_page' => -1 );
    if( $wpcf7Forms = get_posts( $wpcf7_args ) ){
        foreach( $wpcf7Forms as $cf7Form){
            $wpcf7_params[ $cf7Form->post_title ] = $cf7Form->ID;
        }
    }
    vc_map( array(
        'name'        => __( 'Apply Job', 'offshorecore' ),
        'description' => __( 'Add apply job button', 'offshorecore' ),
        'base'        => 'offshore_apply_job',
        'class'       => 'offshore',
        'icon'        => 'fa fa-square-o',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'content_element' => true,
        'params'      => array(
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'class'       => '',
                'heading'     => __( 'Button Type', 'offshorecore' ),
                'param_name'  => 'type',
                'value'       => array_flip( array(
                    '' => __( 'Default', 'offshorecore' ),
                    'link' => __( 'Link', 'offshorecore' ),
                    'popup' => __( 'Popup', 'offshorecore' )
                ) ),
                'description' => __( 'Select the type of button.', 'offshorecore' )
            ),
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'class'       => '',
                'heading'     => __( 'Button Link', 'offshorecore' ),
                'param_name'  => 'link',
                'description' => __( 'Insert button link.', 'offshorecore' ),
                'value' => '',
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'link'
                )
            ),
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'class'       => '',
                'heading'     => __( 'Contact Form 7 Form', 'offshorecore' ),
                'param_name'  => 'wpcf7',
                'value'       => $wpcf7_params,
                'description' => __( 'Select the type of button.', 'offshorecore' ),
                'dependency' => array(
                    'element' => 'type',
                    'value' => 'popup'
                )
            ),
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Button Text', 'offshorecore' ),
                'param_name'  => 'text',
                'description' => __( 'Insert button text.', 'offshorecore' ),
                'value' => ''
            ),
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_apply_job' );
}