<?php

if ( !function_exists( 'offshore_blockquote_shortcode' ) ) {

    function offshore_blockquote_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(

            array(

                'type' => 'yellow',
                'size' => 'normal'

            ), $atts));

        $content = do_shortcode( $content );

        if( $size == 'large' ){

            $class = '';
            if( $type == 'blue' ){
                $class = ' quote-post';
            }
            
            $output = '<div class="cta'. $class .'">';
            $output .= '<h2>' . $content . '</h2>';
            $output .= '</div>';
        
        } else {

            $output = '<blockquote>' . $content . '</blockquote>';
            if( $type == 'blue' ){
                $output = '<div class="quote-post">' . $output . '</div>';
            }

        }

        return $output;

    }

    add_shortcode( 'offshore_blockquote', 'offshore_blockquote_shortcode' );

}

function offshore_vc_blockquote() {
    vc_map( array(
        'name'        => __( 'Blockquote', 'offshorecore' ),
        'description' => __( 'Add blockquote', 'offshorecore' ),
        'base'        => 'offshore_blockquote',
        'class'       => 'offshore',
        'icon'        => 'fa fa-quote-left',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'params'      => array(
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'class'       => '',
                'heading'     => __( 'Blockquote Size', 'offshorecore' ),
                'param_name'  => 'size',
                'value'       => array_flip( array(
                    'normal' => __( 'Normal', 'offshorecore' ),
                    'large' => __( 'Large', 'offshorecore' )
                ) ),
                'description' => __( 'Select the size for blockquote.', 'offshorecore' )
            ),
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'class'       => '',
                'heading'     => __( 'Blockquote Type', 'offshorecore' ),
                'param_name'  => 'type',
                'value'       => array_flip( array(
                    'yellow' => __( 'Yellow', 'offshorecore' ),
                    'blue' => __( 'Blue', 'offshorecore' )
                ) ),
                'description' => __( 'Select the type of blockquote.', 'offshorecore' )
            ),
            array(
                'type'        => 'textarea_html',
                'heading'     => __( 'Blockquote Content', 'offshorecore' ),
                'param_name'  => 'content',
                'description' => __( 'Insert the blockquote\'s content.', 'offshorecore' ),
                'value' => ''
            )
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_blockquote' );
}