<?php

if ( !function_exists( 'offshore_button_shortcode' ) ) {

    function offshore_button_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(

            array(

                'url' => '#',
                'type' => 'default',
                'size' => '',
                'full_width' => 'no',
                'text_color' => '',
                'background_color' => '',
                'hover_text_color' => '',
                'hover_background_color' => ''

            ), $atts));

        $id = sprintf( 'btn-%s', get_the_ID() ) . '-' . rand( 0, 999 );

        if( $full_width == 'yes' ){
            $block = ' btn-block';
        } else {
            $block = '';
        }

        if( $size != '' ){
            $size = ' btn-' . $size;
        }

        $style_attr = ' style="';

        if( $text_color != '' ) {
           $text_color = 'color:' . esc_attr( $text_color ) . ';';
        }
        if( $background_color != '' ) {
            $background_color = 'background-color:' . esc_attr( $background_color ) . ';';
        }
        if( $text_color != '' || $background_color != '' ) {
            $style = '#'. $id .' { '. $text_color . $background_color .' }';
        } else {
            $style = '';
        }
        if( $hover_text_color != '' ) {
            $hover_text_color = 'color:' . esc_attr( $hover_text_color ) . ';';
        }
        if( $hover_background_color != '' ) {
            $hover_background_color = 'background-color:' . esc_attr( $hover_background_color ) . ';';
        }
        if( $hover_text_color != '' || $hover_background_color != '' ) {
            $hover_style = '#'. $id .':hover { '. $hover_text_color . $hover_background_color .' }';
        } else {
            $hover_style = '';
        }

        if( $style != '' || $hover_style != '' ) {
            $css = '<style type="text/css">' . $style . $hover_style . '</style>';
        } else {
            $css = '';
        }

        $output = $css . '<a href="' . esc_url( $url ) . '" id="' . esc_attr( $id ) . '" class="btn btn-'. esc_attr( $type ) . esc_attr( $size ) . esc_attr( $block ) . '">' . wp_kses_post( $content ) . '</a>';

        return $output;

    }

    add_shortcode( 'offshore_button', 'offshore_button_shortcode' );

}

function offshore_vc_button() {
    vc_map( array(
        'name'        => __( 'Button', 'offshorecore' ),
        'description' => __( 'Add blockquote', 'offshorecore' ),
        'base'        => 'offshore_button',
        'class'       => 'offshore',
        'icon'        => 'fa fa-square-o',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'params'      => array(
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Button URL', 'offshorecore' ),
                'param_name'  => 'url',
                'description' => __( 'Set the button link.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'class'       => '',
                'heading'     => __( 'Button Type', 'offshorecore' ),
                'param_name'  => 'type',
                'value'       => array_flip( array(
                    'default' => __( 'Default', 'offshorecore' ),
                    'primary' => __( 'Primary', 'offshorecore' ),
                    'secondary' => __( 'Secondary', 'offshorecore' )
                ) ),
                'description' => __( 'Select the type of button.', 'offshorecore' )
            ),
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'class'       => '',
                'heading'     => __( 'Button Size', 'offshorecore' ),
                'param_name'  => 'size',
                'value'       => array_flip( array(
                    '' => __( 'Default', 'offshorecore' ),
                    'normal' => __( 'Normal', 'offshorecore' ),
                    'large' => __( 'Large', 'offshorecore' ),
                    'small' => __( 'Small', 'offshorecore' )
                ) ),
                'description' => __( 'Select button size.', 'offshorecore' )
            ),
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'heading'     => __( 'Button Full Width', 'offshorecore' ),
                'param_name'  => 'full_width',
                'value'       => array_flip( array(
                    'no' => __( 'No', 'offshorecore' ),
                    'yes' => __( 'Yes', 'offshorecore' )
                ) ),
                'description' => __( 'Select whether button should cover the full width of container.', 'offshorecore' )
            ),
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'class'       => '',
                'heading'     => __( 'Button Text', 'offshorecore' ),
                'param_name'  => 'content',
                'description' => __( 'Insert the button\'s text.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type' => 'colorpicker',
                'heading' => __( 'Button Text Color', 'offshorecore' ),
                'param_name' => 'text_color',
                'value' => '',
                'description' => __( 'Set the button text color.', 'offshorecore' ),
                'group' => __( 'Color', 'offshorecore' )
            ),
            array(
                'type' => 'colorpicker',
                'heading' => __( 'Button Hover Text Color', 'offshorecore' ),
                'param_name' => 'hover_text_color',
                'value' => '',
                'description' => __( 'Set the button text color for hover state.', 'offshorecore' ),
                'group' => __( 'Color', 'offshorecore' )
            ),
            array(
                'type' => 'colorpicker',
                'heading' => __( 'Button Background Color', 'offshorecore' ),
                'param_name' => 'background_color',
                'value' => '',
                'description' => __( 'Set the button background color.', 'offshorecore' ),
                'group' => __( 'Color', 'offshorecore' )
            ),
            array(
                'type' => 'colorpicker',
                'heading' => __( 'Button Hover Background Color', 'offshorecore' ),
                'param_name' => 'hover_background_color',
                'value' => '',
                'description' => __( 'Set the button background color for hover state.', 'offshorecore' ),
                'group' => __( 'Color', 'offshorecore' )
            ),
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_button' );
}