<?php

if ( !function_exists( 'offshore_careers_box_shortcode' ) ) {

    function offshore_careers_box_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(

            array(

                'department' => '',
                'link' => ''

            ), $atts));

        $term = get_term_by( 'slug' , $department, 'department' );

        if( is_object( $term ) ) {
            $positions = get_posts( 
                array( 
                    'posts_per_page' => -1,
                    'post_type' => 'career', 
                    'tax_query' => array(
                        array(
                            'taxonomy' => 'department',
                            'field'    => 'slug',
                            'terms'    => $department
                        )
                    )
                )
            );
            if( $link == '' ){
                $link = get_term_link( (int) $term->term_id, 'department' );
            }
        } else {
            $positions = '';
        }

        if( is_array( $positions ) ){
            $output = '<a href="' . esc_attr( $link ) . '">
                        <div class="stats-box text-center">
                            <h4 class="subtitle">' . esc_html( $term->name ) . '</h4>
                            <p>' . sprintf( _n( '%d position', '%d positions', count( $positions ), 'offshorecore'  ), count( $positions ) ) . '</p>
                        </div>
                    </a>';
        } else {
            $output = '';
        }

        return $output;

    }

    add_shortcode( 'offshore_careers_box', 'offshore_careers_box_shortcode' );

}

function offshore_vc_careers_box() {
    $departments = get_terms( array(
        'taxonomy' => 'department',
        'hide_empty' => false,
    ) );
    $department_params = array();
    $department_params[ 'none' ] = __( 'None', 'offshorecore' );
    foreach ( $departments as $department ) {
        $department_params[ $department->name ] = $department->name;
    }
    vc_map( array(
        'name'        => __( 'Careers Box', 'offshorecore' ),
        'description' => __( 'Add career box', 'offshorecore' ),
        'base'        => 'offshore_careers_box',
        'class'       => 'offshore',
        'icon'        => 'fa fa-briefcase',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'params'      => array(
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'class'       => '',
                'heading'     => __( 'Department', 'offshorecore' ),
                'param_name'  => 'department',
                'value'       => $department_params,
                'description' => __( 'Select the department.', 'offshorecore' )
            )
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_careers_box' );
}