<?php

class Offshore_Columns {

    function __construct() {

        add_shortcode( 'offshore_row', array( $this, 'parent' ) );
        add_shortcode( 'offshore_column', array( $this, 'child' ) );

    }

    function parent( $atts, $content = '' ) {

        extract( shortcode_atts(

            array(

                'container_fluid' => 'no',
                'center_text_mobile' => '',
                'margin_top' => '',
                'margin_bottom' => ''

            ), $atts));

        if( $margin_top != '' ){
            $margin_top = 'margin-top:' . $margin_top . 'px;';
        }
        if( $margin_bottom != '' ){
            $margin_bottom = 'margin-bottom:' . $margin_bottom . 'px;';
        }

        $style = ' style="' . esc_attr( $margin_top ) . esc_attr( $margin_bottom ) . '"';

        $center_text = '';

        if( $center_text_mobile == 'yes' ) {
            $center_text = ' center-block-sm';
        }

        $output = '<div class="row'. $center_text .'"'. $style .'>' . do_shortcode( $content ) . '</div>';

        if( $container_fluid == 'yes' ) {
            $output = '<div class="container-fluid"><div class="row">' . do_shortcode( $content ) . '</div></div>';
        }

        $output = preg_replace('~<br />~', '', $output); // Remove <br> tags

        return $output;
    }

    function child( $atts, $content = '' ) {

        extract( shortcode_atts(

            array(

                'size' => '',
                'size_small' => '',
                'hide_on_mobile' => 'no',
                'padding_top' => '',
                'padding_bottom' => '',
                'border_left' => 'no',
                'class' => ''

            ), $atts));

        if( $hide_on_mobile == 'yes' ){
            $mobile_class = ' hidden-xs';
        } else {
            $mobile_class = '';
        }

        if( $class != '' ){
            $class = ' '.$class;
        }

        if( $padding_top != '' ){
            $padding_top = 'padding-top:' . $padding_top . 'px;';
        }
        if( $padding_bottom != '' ){
            $padding_bottom = 'padding-bottom:' . $padding_bottom . 'px;';
        }
        if( $border_left == 'yes' ){
            $border = ' style="border-left:1px solid #dee0e5;"';
        } else {
            $border = '';
        }

        if( !empty($size_small) ){
            $size_small = ' col-sm-' . $size_small;
        }

        $style = ' style="' . $padding_top . $padding_bottom . $border . '"';

        $output = '<div class="col-md-'. esc_attr( $size ) . esc_attr( $size_small ) . esc_attr( $mobile_class ) . esc_attr( $class ) .'"'. $border .'>';

        if( $padding_top != '' || $padding_bottom != '' ) {
            $output .= '<div class="column-wrapper"' . $style . '>';
        }

        $output .= do_shortcode( $content );

        if( $padding_top != '' || $padding_bottom != '' ) {
            $output .= '</div>';
        }

        $output .= '</div>';

        return $output;
    }

}

new Offshore_Columns();