<?php

if ( !function_exists( 'offshore_contact_form_shortcode' ) ) {

    function offshore_contact_form_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(

            array(

                'name' => 'yes',
                'name_placeholder' => __( 'Full Name', 'offshorecore' ),
                'email' => 'yes',
                'email_placeholder' => __( 'Email Address', 'offshorecore' ),
                'phone' => 'yes',
                'phone_placeholder' => __( 'Phone Number', 'offshorecore' ),
                'message_placeholder' => __( 'Message', 'offshorecore' ),
                'button_text' => __( 'Send Message', 'offshorecore' )

            ), $atts));

        $id = substr( md5( sprintf( 'form-%s', get_the_ID() ) ), 15 );

        $output = '<form id="' . esc_attr( $id ) . '" class="form well-form" method="post" enctype="multipart/form-data">';

        if( $name == 'yes' ){
            $output .= '<div class="form-group"><input name="name" placeholder="' . $name_placeholder . '" class="form-control" type="text"></div>';
        }

        if( $email == 'yes' ){
            $output .= '<div class="form-group"><input name="email" placeholder="' . $email_placeholder . '" class="form-control" type="text"></div>';
        }

        if( $phone == 'yes' ){
            $output .= '<div class="form-group"><input name="phone" placeholder="' . $phone_placeholder . '" class="form-control" type="text"></div>';
        }

        $output .= '<div class="form-group"><textarea class="form-control" name="comment" placeholder="' . $message_placeholder . '"></textarea></div>
            ' . wp_nonce_field( 'offshore_contact_form_action', '_offshore_contact_nonce', true, false ) . '
                <button type="submit" class="btn btn-block btn-warning">' . $button_text . '</button>
                <span class="response" style="margin-top:40px;line-height:40px;"></span>
        </form>';

        ob_start();
        ?>
        <script type="text/javascript">
            jQuery("#<?php echo $id; ?> button" ).on('click',function(e){
                e.preventDefault();
                jQuery.ajax({
                    type: "POST",
                    url: "<?php echo admin_url( 'admin-ajax.php' ); ?>",
                    data: {
                        action: "offshore_send_mail",
                        nonce: jQuery("#_offshore_contact_nonce" ).val(),
                        name: jQuery("#<?php echo $id; ?> input[name='name']" ).val(),
                        email: jQuery("#<?php echo $id; ?> input[name='email']" ).val(),
                        phone: jQuery("#<?php echo $id; ?> input[name='phone']" ).val(),
                        message: jQuery("#<?php echo $id; ?> textarea" ).val()
                    },
                    success:function(data, textStatus, XMLHttpRequest){
                        var id = "#<?php echo $id; ?> .response";
                        jQuery(id).html('');
                        jQuery(id).append(data);
                    },
                    error: function( MLHttpRequest, textStatus, errorThrown ){
                        alert(errorThrown);
                    }
                });
            });
        </script>
        <?php

        $js = ob_get_clean();

        return $output . $js;
    }

    add_shortcode( 'offshore_contact_form', 'offshore_contact_form_shortcode' );

}

function offshore_send_mail() {

    if ( !wp_verify_nonce( $_POST['nonce'], 'offshore_contact_form_action' ) ) {
        $results = __( 'Verification error, try again.', 'offshorecore' );
    } else {
        $results = '';
        $error = 0;
        $name = $_POST['name'];
        $email = $_POST['email'];
        $phone = $_POST['phone'];
        $message = $_POST['message'];

        $admin_email = get_option('admin_email');

        if ( !filter_var( $email, FILTER_VALIDATE_EMAIL ) ) {

            $results = __( 'Email address is not valid.', 'offshorecore' );
            $error = 1;

        } elseif( strlen( $name ) == 0 ) {

            $results = __( 'Name is invalid', 'offshorecore' );
            $error = 1;

        } elseif( strlen( $message ) == 0 ) {

            $results = __( 'Message is invalid.', 'offshorecore' );
            $error = 1;

        }
        if( $error == 0 ) {

            // $headers = 'From:' . $email;
            // $subject = __( 'New form submission', 'offshorecore' );
            // $message .= ' \n Phone Number: ' . $phone;
            // if( wp_mail( $admin_email, $subject, $message, $headers ) ) {
            //     $results = __( 'Thank you for your message. We will get back to you shortly.', 'offshorecore' );
            // } else {
            //     $results = __( 'The mail could not be sent.', 'offshorecore' );
            // }
            
            $headers = array('Content-Type: text/html; charset=UTF-8','From:' . $email);
            $subject = __( 'New form submission', 'offshorecore' );
            $message = 'Name: ' . $name . '<br><br>' . 'Phone: ' . $phone . '<br><br>' . 'Message: ' . '<br><br>' . $message;
            if( wp_mail( $admin_email, $subject, $message, $headers ) ) {
                $results = __( 'Thank you for your message. We will get back to you shortly.', 'offshorecore' );
            } else {
                $results = __( 'The mail could not be sent.', 'offshorecore' );
            }

        }
    }

    // Return the String
    echo $results;
    
    wp_die();
}

add_action( 'wp_ajax_nopriv_offshore_send_mail', 'offshore_send_mail' );
add_action( 'wp_ajax_offshore_send_mail', 'offshore_send_mail' );


function offshore_vc_contact_form() {
    vc_map( array(
        'name'        => __( 'Contact Form', 'offshorecore' ),
        'description' => __( 'Add contact form', 'offshorecore' ),
        'base'        => 'offshore_contact_form',
        'class'       => 'offshore',
        'icon'        => 'fa fa-envelope',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'params'      => array(
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'heading'     => __( 'Form Name Field', 'offshorecore' ),
                'param_name'  => 'name',
                'value'       =>  array(
                    __( 'Yes', 'offshorecore' ) => 'yes',
                    __( 'No', 'offshorecore' ) => 'no'
                ),
                'description' => __( 'Select whether or not to diplay form name field.', 'offshorecore' )
            ),
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Form Name Placeholder', 'offshorecore' ),
                'param_name'  => 'name_placeholder',
                'description' => __( 'Insert placeholder text for name field.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'heading'     => __( 'Form Email Field', 'offshorecore' ),
                'param_name'  => 'email',
                'value'       =>  array(
                    __( 'Yes', 'offshorecore' ) => 'yes',
                    __( 'No', 'offshorecore' ) => 'no'
                ),
                'description' => __( 'Select whether or not to diplay form email field.', 'offshorecore' )
            ),
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Form Email Placeholder', 'offshorecore' ),
                'param_name'  => 'email_placeholder',
                'description' => __( 'Insert placeholder text for email field.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'heading'     => __( 'Form Number Field', 'offshorecore' ),
                'param_name'  => 'number',
                'value'       =>  array(
                    __( 'Yes', 'offshorecore' ) => 'yes',
                    __( 'No', 'offshorecore' ) => 'no'
                ),
                'description' => __( 'Select whether or not to diplay form number field.', 'offshorecore' )
            ),
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Form Message Placeholder', 'offshorecore' ),
                'param_name'  => 'message_placeholder',
                'description' => __( 'Insert placeholder text for message field.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Form Button Text', 'offshorecore' ),
                'param_name'  => 'button_text',
                'description' => __( 'Insert submit button text.', 'offshorecore' ),
                'value' => ''
            ),
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_contact_form' );
}