<?php

if ( !function_exists( 'offshore_drop_cap_shortcode' ) ) {

    function offshore_drop_cap_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(

            array(

                'type' => 'yellow',
                'background_color' => '',
                'text_color' => '',

            ), $atts));

        if( $background_color != '' ){
            $background_color = 'background-color:'.$background_color.';';
        }
        if( $text_color != '' ){
            $text_color = 'color:'.$text_color.';';
        }

        $style = ' style="' . $background_color . $text_color . '"';

        $output = '<span class="drop-cap '. $type .'"' . $style . '>' . $content . '</span>';

        return $output;

    }

    add_shortcode( 'offshore_drop_cap', 'offshore_drop_cap_shortcode' );

}

function offshore_vc_drop_cap() {
    vc_map( array(
        'name'        => __( 'Drop Cap', 'offshorecore' ),
        'description' => __( 'Add drop cap.', 'offshorecore' ),
        'base'        => 'offshore_drop_cap',
        'class'       => 'offshore',
        'icon'        => 'fa fa-font',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'params'      => array(
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'heading'     => __( 'Drop Cap Type', 'offshorecore' ),
                'param_name'  => 'type',
                'value'       => array(
                    __( 'Default', 'offshorecore' ) => '',
                    __( 'Yellow', 'offshorecore' ) => 'yellow',
                    __( 'Blue', 'offshorecore' ) => 'blue'
                ),
                'description' => __( 'Select the type of drop cap.', 'offshorecore' )
            ),
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Drop Cap Letter', 'offshorecore' ),
                'param_name'  => 'content',
                'description' => __( 'Insert the letter to be used as dropcap.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type' => 'colorpicker',
                'class' => '',
                'heading' => __( 'Drop Cap Background Color', 'offshorecore' ),
                'param_name' => 'background_color',
                'value' => '',
                'description' => __( 'Set custom background color for letter.', 'offshorecore' ),
                'group' => __( 'Color', 'offshorecore' )
            ),
            array(
                'type' => 'colorpicker',
                'class' => '',
                'heading' => __( 'Drop Cap Text Color', 'offshorecore' ),
                'param_name' => 'background_color',
                'value' => '',
                'description' => __( 'Set custom color for letter.', 'offshorecore' ),
                'group' => __( 'Color', 'offshorecore' )
            ),
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_drop_cap' );
}