<?php

if ( !function_exists( 'offshore_dual_image_shortcode' ) ) {

    function offshore_dual_image_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(

            array(

                'back_image' => '',
                'front_image' => '',

            ), $atts));

        if( is_numeric( $back_image ) ){
            $attachment = wp_get_attachment_image_src( $back_image,'full' );
            $back_image = $attachment[0];
        }
        if( is_numeric( $front_image ) ){
            $attachment = wp_get_attachment_image_src( $front_image,'full' );
            $front_image = $attachment[0];
        }

        $output = '<div class="company-image">
            <div class="img-left hover-effect">
                <img src="'. $back_image .'" alt="Company Image" />
            </div>
            <div class="img-right hover-effect">
                <img src="'. $front_image .'" alt="Company Image" />
            </div>
        </div>';

        return $output;

    }

    add_shortcode( 'offshore_dual_image', 'offshore_dual_image_shortcode' );

}

function offshore_vc_dual_image() {
    vc_map( array(
        'name'        => __( 'Dual Image', 'offshorecore' ),
        'description' => __( 'Add dual images.', 'offshorecore' ),
        'base'        => 'offshore_dual_image',
        'class'       => 'offshore',
        'icon'        => 'fa fa-picture-o',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'params'      => array(
            array(
                'type'        => 'attach_image',
                'heading'     => __( 'Front Image', 'offshorecore' ),
                'param_name'  => 'front_image',
                'description' => __( 'Select the image which will be on the front side.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'attach_image',
                'heading'     => __( 'Back Image', 'offshorecore' ),
                'param_name'  => 'back_image',
                'description' => __( 'Select the image which will be on the back side.', 'offshorecore' ),
                'value' => ''
            ),
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_dual_image' );
}