<?php

if ( !function_exists( 'offshore_feature_box_shortcode' ) ) {

    function offshore_feature_box_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(

            array(

                'icon' => '',
                'image' => '',
                'title' => '',
                'shadow' => 'yes'

            ), $atts));

        $picture = '';

        if( $icon != '' ){
            $picture = '<div class="icon-container">
                            <span class="fa '. esc_attr( $icon ) .'">
                        </div>';
        }

        if( $shadow == 'no' ){
            $img_css = ' style="min-height:50px;"';
            $shadow_css = ' style="box-shadow:none;-webkit-box-shadow:none;-moz-box-shadow:none;padding: 0;"';
            $box_class = ' life-box';
        } else {
            $img_css = '';
            $shadow_css = '';
            $box_class = '';
        }

        if( $image != '' ){
            if( is_numeric( $image ) ){
                $attachment = wp_get_attachment_image_src( $image,'full' );
                $image = $attachment[0];
            }
            $picture = '<div class="img-box"'. $img_css .'>
                            <img src="' . esc_url( $image ) . '" alt="' . esc_attr( $title ) . '" />
                        </div>';
        }

        if( $shadow == 'no' ){
            
        } else {
           
        }

        $output = '<div class="feature-box'. $box_class .'"'. $shadow_css .'>' . $picture . '
                        <h4 class="subtitle">' . esc_attr( $title ) . '</h4>
                        ' . wpautop( do_shortcode( $content ) ) . '
                    </div>';

        return $output;

    }

    add_shortcode( 'offshore_feature_box', 'offshore_feature_box_shortcode' );

}
function offshore_vc_feature_box() {
    vc_map( array(
        'name'        => __( 'Feature Box', 'offshorecore' ),
        'description' => __( 'Add fature box.', 'offshorecore' ),
        'base'        => 'offshore_feature_box',
        'class'       => 'offshore',
        'icon'        => 'fa fa-asterisk',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'params'      => array(
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Box title', 'offshorecore' ),
                'param_name'  => 'title',
                'description' => __( 'Insert the title text.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textarea_html',
                'admin_label' => true,
                'heading'     => __( 'Box Description', 'offshorecore' ),
                'param_name'  => 'content',
                'description' => __( 'Insert feature description.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                    'type' => 'iconpicker',
                    'admin_label' => true,
                    'heading' => __( 'Box Icon', 'offshorecore' ),
                    'param_name' => 'icon',
                    'value' => '',
                    'settings' => array(
                        'emptyIcon' => true,
                        'iconsPerPage' => 4000,
                    ),
                    'description' => __( 'Select the required icon.', 'offshorecore' ),
                ),
            array(
                'type'        => 'attach_image',
                'heading'     => __( 'Box Image', 'offshorecore' ),
                'param_name'  => 'image',
                'description' => __( 'Select the image. This overrides box icon.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'heading'     => __( 'Box Shadow', 'offshorecore' ),
                'param_name'  => 'shadow',
                'value'       => array(
                    __( 'Yes', 'offshorecore' ) => 'yes',
                    __( 'No', 'offshorecore' ) => 'no'
                ),
                'description' => __( 'Adds shadow effect to the box.', 'offshorecore' )
            ),
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_feature_box' );
}