<?php

if ( !function_exists( 'offshore_social_icons_shortcode' ) ) {

    function offshore_social_icons_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(

            array(

                'size' => 'normal',
                'facebook' => '',
                'twitter' => '',
                'google' => '',
                'linkedin' => '',
                'instagram' => '',

            ), $atts));

            $output = '<div class="social">';

            if( $size == 'large' ) {
                $output .= '<ul class="social-icons">';
            } else {
                $output .= '<ul class="widgets-social">';
            }

            if( $facebook != '' ) {
                $output .= '<li><a href="'. $facebook .'"><i class="fa fa-facebook" aria-hidden="true"></i></a></li>';
            }
            if( $twitter != '' ) {
                $output .= '<li><a href="'. $twitter .'"><i class="fa fa-twitter" aria-hidden="true"></i></a></li>';
            }
            if( $google != '' ) {
                $output .= '<li><a href="'. $google .'"><i class="fa fa-google-plus" aria-hidden="true"></i></a></li>';
            }
            if( $linkedin != '' ) {
                $output .= '<li><a href="'. $linkedin .'"><i class="fa fa-linkedin" aria-hidden="true"></i></a></li>';
            }
            if( $instagram != '' ) {
                $output .= '<li><a href="'. $instagram .'"><i class="fa fa-instagram" aria-hidden="true"></i></a></li>';
            }

            $output .= '</ul></div>';

        return $output;

    }

    add_shortcode( 'offshore_social_icons', 'offshore_social_icons_shortcode' );

}

function offshore_vc_social_icons() {
    vc_map( array(
        'name'        => __( 'Social Icons', 'offshorecore' ),
        'description' => __( 'Add social icons', 'offshorecore' ),
        'base'        => 'offshore_social_icons',
        'class'       => 'offshore',
        'icon'        => 'fa fa-twitter',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'params'      => array(
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'class'       => '',
                'heading'     => __( 'Size', 'offshorecore' ),
                'param_name'  => 'size',
                'value'       => array_flip( array(
                    'normal' => __( 'Normal', 'offshorecore' ),
                    'large' => __( 'Large', 'offshorecore' )
                ) ),
                'description' => __( 'Select icon size.', 'offshorecore' )
            ),
            array(
                'type'        => 'textfield',
                'heading'     => __( 'Facebook Link', 'offshorecore' ),
                'param_name'  => 'facebook',
                'description' => __( 'Insert Facebook page/profile link.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textfield',
                'heading'     => __( 'Twitter Link', 'offshorecore' ),
                'param_name'  => 'twitter',
                'description' => __( 'Insert Twitter profile link.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textfield',
                'heading'     => __( 'Google+ Link', 'offshorecore' ),
                'param_name'  => 'google',
                'description' => __( 'Insert Google+ page/profile link.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textfield',
                'heading'     => __( 'LinkedIn Link', 'offshorecore' ),
                'param_name'  => 'linkedin',
                'description' => __( 'Insert LinkedIn page/profile link.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textfield',
                'heading'     => __( 'Instagram Link', 'offshorecore' ),
                'param_name'  => 'instagram',
                'description' => __( 'Insert Instagram page/profile link.', 'offshorecore' ),
                'value' => ''
            ),
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_social_icons' );
}