<?php

if ( !function_exists( 'offshore_label_shortcode' ) ) {

    function offshore_label_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(

            array(

                'type' => 'default',
                'background_color' => '',
                'text_color' => '',
                'font_size' => '',
                'font_bold' => 'no',
                'margin_top' => '',
                'margin_bottom' => '',

            ), $atts));

        if( $background_color != '' ){
            $background_color = 'background-color:'.$background_color.';';
        }
        if( $text_color != '' ){
            $text_color = 'color:'.$text_color.';';
        }
        if( $font_size != '' ){
            $font_size = 'font-size:'.$font_size.'px;';
        }
        if( $font_bold == 'yes' ){
            $font_bold = 'font-weight:bold;';
        }
        if( $margin_top != '' ){
            $margin_top = 'margin-top:'.$margin_top.'px;';
        }
        if( $margin_bottom != '' ){
            $margin_bottom = 'margin-bottom:'.$margin_bottom.'px;';
        }

        $style = ' style="' . $background_color . $text_color . $font_size . $font_bold . $margin_top . $margin_bottom . '"';

        $output = '<span class="label label-'. esc_attr( $type ) .'"' . esc_attr( $style ) . '>' . do_shortcode( $content ) . '</span>';

        return $output;

    }

    add_shortcode( 'offshore_label', 'offshore_label_shortcode' );

}

function offshore_vc_label() {
    vc_map( array(
        'name'        => __( 'Label', 'offshorecore' ),
        'description' => __( 'Add label', 'offshorecore' ),
        'base'        => 'offshore_label',
        'class'       => 'offshore',
        'icon'        => 'fa fa-tag',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'params'      => array(
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'class'       => '',
                'heading'     => __( 'Label Type', 'offshorecore' ),
                'param_name'  => 'type',
                'value'       => array(
                    __( 'Default', 'offshorecore' ) => 'default',
                    __( 'Primary', 'offshorecore' ) => 'primary',
                    __( 'Success', 'offshorecore' ) => 'success',
                    __( 'Info', 'offshorecore' ) => 'info',
                    __( 'Warning', 'offshorecore' ) => 'warning',
                    __( 'Danger', 'offshorecore' ) => 'danger'
                ),
                'description' => __( 'Select the type of label.', 'offshorecore' )
            ),
            array(
                'type'        => 'textarea_html',
                'admin_label' => true,
                'heading'     => __( 'Label Text', 'offshorecore' ),
                'param_name'  => 'content',
                'description' => __( 'Insert required text.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Label Font Size', 'offshorecore' ),
                'param_name'  => 'font_size',
                'description' => __( 'Insert font size value in pixels. Eg. 16.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'class'       => '',
                'heading'     => __( 'Label Font Bold', 'offshorecore' ),
                'param_name'  => 'font_bold',
                'value'       => array(
                    __( 'No', 'offshorecore' ) => 'no',
                    __( 'Yes', 'offshorecore' ) => 'yes'
                ),
                'description' => __( 'Make the text appear bold.', 'offshorecore' )
            ),
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Label Margin Top', 'offshorecore' ),
                'param_name'  => 'margin_top',
                'description' => __( 'Insert top margin value in pixels. Eg. 10.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Label Margin Bottom', 'offshorecore' ),
                'param_name'  => 'margin_bottom',
                'description' => __( 'Insert bottom margin value in pixels. Eg. 10.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type' => 'colorpicker',
                'admin_label' => true,
                'heading' => __( 'Label Background Color', 'offshorecore' ),
                'param_name' => 'background_color',
                'value' => '',
                'description' => __( 'Set the background color.', 'offshorecore' ),
                'group' => __( 'Color', 'offshorecore' )
            ),
            array(
                'type' => 'colorpicker',
                'admin_label' => true,
                'heading' => __( 'Label Text Color', 'offshorecore' ),
                'param_name' => 'text_color',
                'value' => '',
                'description' => __( 'Set the text color.', 'offshorecore' ),
                'group' => __( 'Color', 'offshorecore' )
            ),
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_label' );
}