<?php

if ( !function_exists( 'offshore_open_positions_shortcode' ) ) {

    function offshore_open_positions_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(
        array(

            'button_text' => __( 'VIEW AND APPLY', 'offshorecore' )

        ), $atts));

        $positions = get_posts( array( 
            'posts_per_page' => -1,
            'post_type' => 'career'
        ) );

        $output = '';

        if( $positions ){
            $output .= '<div class="open-positions"><ul>';
            foreach ($positions as $key => $value) {
                $output .= '<li><div class="designation">
                            <h4 class="subtitle"><a href="'. get_permalink( $value->ID ) .'">'. get_the_title( $value->ID ) .'</a></h4>';
                
                $output .= offshore_work_type( $value->ID, 'work-type' );
                
                $output .= '</div>';

                $output .= offshore_career_locations( $value->ID );

                $output .= '<a href="'. get_permalink( $value->ID ) .'" class="btn btn-primary" role="button">' . esc_html( $button_text ) . '</a>
                    </li>';
            }
            $output .= '</ul></div>';
        }

        return $output;

    }

    add_shortcode( 'offshore_open_positions', 'offshore_open_positions_shortcode' );
}

function offshore_vc_open_positions() {
    vc_map( array(
        'name'        => __( 'Open Positions', 'offshorecore' ),
        'description' => __( 'Add open positions list.', 'offshorecore' ),
        'base'        => 'offshore_open_positions',
        'class'       => 'offshore',
        'icon'        => 'fa fa-suitcase',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'params'      => array(
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Button Text', 'offshorecore' ),
                'param_name'  => 'button_text',
                'description' => __( 'Insert button text. Default is "VIEW AND APPLY".', 'offshorecore' ),
                'value' => ''
            )
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_open_positions' );
}