<?php

class Offshore_Partners {

    // private $accordion_counter = 1;
    private $partner_counter = 1;
    // private $partners_id;

    function __construct() {

        add_shortcode( 'offshore_partners', array( $this, 'parent' ) );
        add_shortcode( 'offshore_partner', array( $this, 'child' ) );
        if( has_action( 'vc_before_init' ) ){
            add_action( 'vc_before_init', array( $this, 'vc_parent' ) );
            add_action( 'vc_before_init', array( $this, 'vc_child' ) );
        }

    }

    function parent( $atts, $content = '' ) {

        extract( shortcode_atts(

            array(

                '' => '',

            ), $atts));
        
        $content = do_shortcode( $content );

        $output = sprintf( '<div class="row partners"><div class="logo-slides slides owl-carousel">%s</div></div>', $content );

        $output = preg_replace('~<br />~', '', $output); // Remove <br> tags

        return $output;
    }

    function child( $atts, $content = '' ) {

        extract( shortcode_atts(

            array(

                'image' => ''

            ), $atts));

        $alt = __( 'Partner', 'offshorecore' ) . '-' . $this->partner_counter;

        if( is_numeric( $image ) ){
            $attachment = wp_get_attachment_image_src( $image,'full' );
            $image = $attachment[0];
        }

        $output = sprintf( '<div class="item">
                        <div class="partner-images">
                            <img src="%s" alt="%s">
                        </div>
                    </div>', $image, $alt );

        $this->partner_counter++;

        return $output;
    }

    function vc_parent() {
        vc_map( array(
            'name'        => __( 'Partners', 'offshorecore' ),
            'description' => __( 'Add partners carousel.', 'offshorecore' ),
            'base'        => 'offshore_partners',
            'class'       => 'offshore',
            'icon'        => 'fa fa-hand-o-right',
            'category'    => __( 'Offshore', 'offshorecore' ),
            'content_element' => true,
            'show_settings_on_create' => false,
            'is_container' => true,
            'as_parent'       => array( 'only' => 'offshore_partner' ),
            'params'      => array(
            ),
            'js_view' => 'VcColumnView'
        ) );
    }

    function vc_child() {
        vc_map( array(
            'name'        => __( 'Partner', 'offshorecore' ),
            'description' => __( 'Add Accordion Panel', 'offshorecore' ),
            'base'        => 'offshore_partner',
            'class'       => 'offshore',
            'icon'        => 'fa fa-hand-o-right',
            'category'    => __( 'Offshore', 'offshorecore' ),
            'as_child'       => array( 'only' => 'offshore_partners' ),
            'params'      => array(
                array(
                    'type'        => 'attach_image',
                    'admin_label' => true,
                    'heading'     => __( 'Partner Image', 'offshorecore' ),
                    'param_name'  => 'image',
                    'description' => __( 'Upload partner image.', 'offshorecore' ),
                    'value' => ''
                ),
            )
        ) );
    }

}

new Offshore_Partners();

function offshore_partners_parent_child() {
    if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
        class WPBakeryShortCode_offshore_partners extends WPBakeryShortCodesContainer {
        }
    }
    if ( class_exists( 'WPBakeryShortCode' ) ) {
        class WPBakeryShortCode_offshore_partner extends WPBakeryShortCode {
        }
    }
}
add_action( 'plugins_loaded', 'offshore_partners_parent_child' );