<?php

if ( !function_exists( 'offshore_post_box_shortcode' ) ) {

    function offshore_post_box_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(

            array(

                'type' => 'post',
                'id'   => ''

            ), $atts));

        $output = '';

        $args = array(
            'post_type' => $type,
            'p'         => $id
        );

        // the query
        $the_query = new WP_Query( $args );

        if ( $the_query->have_posts() ) {

            while ( $the_query->have_posts() ) {

                $the_query->the_post();

                $thumbnail_id = get_post_thumbnail_id( $id );
                $thumbnail_meta = wp_get_attachment_metadata( $thumbnail_id );
                $image_url = wp_get_attachment_image_src( $thumbnail_id, 'large',  true );

                // var_dump( $thumbnail_meta );

                $output .= '<div class="hover-effect"><img src="' . $image_url[0] . '" title="' . $thumbnail_meta['image_meta']['title'] . '" alt="' . get_the_title() . '" style="max-height:241px;" /></div>';

                $output .= '<h4 class="services-title-one subtitle">' . get_the_title() . '</h4>';

                $output .= wpautop( wp_trim_words( get_the_excerpt(), 15 ) );
                
                $output .= '<a class="link" href="' . get_permalink() . '">' . __( 'Read More', 'offshorecore' ) . '</a>';

            }

            wp_reset_postdata();

        } else {

            $output .= '<p>' . __( 'Sorry, no posts matched your criteria.', 'offshorecore' ) . '</p>';

        }

        return $output;

    }

    add_shortcode( 'offshore_post_box', 'offshore_post_box_shortcode' );

}

function offshore_vc_post_box() {
    $post_types = array( __( 'None', 'offshorecore' ) => '' );
    foreach ( get_post_types( '', 'names' ) as $post_type ) {
        $post_types[ ucfirst( $post_type ) ] = $post_type;
    }
    vc_map( array(
        'name'        => __( 'Post Box', 'offshorecore' ),
        'description' => __( 'Add a post', 'offshorecore' ),
        'base'        => 'offshore_post_box',
        'class'       => 'offshore',
        'icon'        => 'fa fa-pencil-square',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'params'      => array(
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'holder'        => 'span',
                'edit_field_class'         => 'offshore-post-select vc_col-xs-12',
                'heading'     => __( 'Post Type', 'offshorecore' ),
                'param_name'  => 'type',
                'value'       => $post_types,
                'description' => __( 'Select the type of post.', 'offshorecore' )
            ),
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'edit_field_class'         => 'offshore-post-id-select vc_col-xs-12',
                'heading'     => __( 'Post ID', 'offshorecore' ),
                'param_name'  => 'id',
                'value'       => array( __( 'Select post type above.', 'offshorecore' ) => '' ),
                'description' => __( 'Select the post.', 'offshorecore' )
            )
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_post_box' );
}