<?php

if ( !function_exists( 'offshore_progress_bar_shortcode' ) ) {

    function offshore_progress_bar_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(

            array(

                'title' => '',
                'percentage' => '',
                'percentage_label' => ''

            ), $atts));

        $output = '';

        if( $title != '' ){
            $output .= '<div class="skillbar-title">' . esc_html( $title ) . '</div>';
        }

        $output .= '<div class="skillbar" data-percent="' . $percentage . '%">
                        <div class="skillbar-bar"> </div>';

        if( $percentage_label != '' ){
            $output .= '<div class="skill-bar-percent">' . $percentage_label . '</div>';
        } else {
            $output .= '<div class="skill-bar-percent">' . $percentage . '%</div>';
        }

       $output .= '</div>';

        return $output;

    }

    add_shortcode( 'offshore_progress_bar', 'offshore_progress_bar_shortcode' );

}

function offshore_vc_progress_bar() {
    vc_map( array(
        'name'        => __( 'Progress Bar', 'offshorecore' ),
        'description' => __( 'Add progress bar.', 'offshorecore' ),
        'base'        => 'offshore_progress_bar',
        'class'       => 'offshore',
        'icon'        => 'fa fa-tasks',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'params'      => array(
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Progress Bar Title', 'offshorecore' ),
                'param_name'  => 'title',
                'description' => __( 'Title which will be displayed above progress bar.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Progress Bar Percentage', 'offshorecore' ),
                'param_name'  => 'percentage',
                'description' => __( 'Insert the completion percentage. Eg. 50. (without percentage symbol)', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Progress Bar Percentage Label', 'offshorecore' ),
                'param_name'  => 'percentage_label',
                'description' => __( 'Progress bar percentage label will be displayed above progress bar to the right. Default is percentage value, Eg: 50%.', 'offshorecore' ),
                'value' => ''
            ),
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_progress_bar' );
}