<?php

if ( !function_exists( 'offshore_quadral_image_shortcode' ) ) {

    function offshore_quadral_image_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(

            array(

                'image1' => '',
                'image2' => '',
                'image3' => '',
                'image4' => '',

            ), $atts));

        if( is_numeric( $image1 ) ){
            $attachment = wp_get_attachment_image_src( $image1,'full' );
            $image1 = $attachment[0];
        }
        if( is_numeric( $image2 ) ){
            $attachment = wp_get_attachment_image_src( $image2,'full' );
            $image2 = $attachment[0];
        }
        if( is_numeric( $image3 ) ){
            $attachment = wp_get_attachment_image_src( $image3,'full' );
            $image3 = $attachment[0];
        }
        if( is_numeric( $image4 ) ){
            $attachment = wp_get_attachment_image_src( $image4,'full' );
            $image4 = $attachment[0];
        }

        $output = '<div class="row company-images">
                    <div class="col-xs-6">
                        <div class="company-image-one hover-effect">
                            <img src="' . esc_url( $image1 ) . '" alt="">
                        </div>
                    </div>
                    <div class="col-xs-6">
                        <div class="company-image-one hover-effect">
                            <img src="' . esc_url( $image2 ) . '" alt="">
                        </div>
                    </div>
                    <div class="col-xs-6">
                        <div class="company-image-one hover-effect">
                            <img src="' . esc_url( $image3 ) . '" alt="">
                        </div>
                    </div>
                    <div class="col-xs-6">
                        <div class="company-image-one hover-effect">
                            <img src="' . esc_url( $image4 ) . '" alt="">
                        </div>
                    </div>
                </div>';

        return $output;

    }

    add_shortcode( 'offshore_quadral_image', 'offshore_quadral_image_shortcode' );

}

function offshore_vc_quadral_image() {
    vc_map( array(
        'name'        => __( 'Quadral Image', 'offshorecore' ),
        'description' => __( 'Add quadral images.', 'offshorecore' ),
        'base'        => 'offshore_quadral_image',
        'class'       => 'offshore',
        'icon'        => 'fa fa-th-large',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'params'      => array(
            array(
                'type'        => 'attach_image',
                'class'       => '',
                'heading'     => __( 'Image 1', 'offshorecore' ),
                'param_name'  => 'image1',
                'description' => __( 'Select the first image.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'attach_image',
                'class'       => '',
                'heading'     => __( 'Image 2', 'offshorecore' ),
                'param_name'  => 'image2',
                'description' => __( 'Select the second image.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'attach_image',
                'class'       => '',
                'heading'     => __( 'Image 3', 'offshorecore' ),
                'param_name'  => 'image3',
                'description' => __( 'Select the third image.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'attach_image',
                'class'       => '',
                'heading'     => __( 'Image 4', 'offshorecore' ),
                'param_name'  => 'image4',
                'description' => __( 'Select the fourth image.', 'offshorecore' ),
                'value' => ''
            ),
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_quadral_image' );
}