<?php

if ( !function_exists( 'offshore_recent_posts_shortcode' ) ) {

    function offshore_recent_posts_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(

            array(

                'type' => 'post',
                'number_posts' => 3,
                'status' => 'publish'

            ), $atts));

        $output = '<div class="row news">';
        $thumbnail = '';

        $args = array(
            'numberposts' => $number_posts,
            'post_type' => $type,
            'post_status' => $status
        );

        $recent_posts = wp_get_recent_posts( $args );
        foreach( $recent_posts as $post ){

            $title = get_the_title( $post['ID'] );
            $month = strtoupper( get_the_time( 'M', $post['ID'] ) );
            $date = get_the_time( 'j', $post['ID'] );
            $bg = '';
            
            if ( has_post_thumbnail( $post['ID'] ) ) { 
                $image = get_the_post_thumbnail( $post['ID'], 'offshore-recent-posts' );
                $icon = '';
            } else {
                $image = '';
                $color = '';
                if( function_exists('offshore_term_color') ){
                    $color = offshore_term_color( $post['ID'] );
                }
                $icon = '<i class="category-icon ' . offshore_the_taxonomy_icon( 'category', $post['ID'] ) . '"></i>';
                if( $color ){
                    $bg = ' style="' . $color . '"';
                }
            }

            $thumbnail = '<div class="posts-img-box"'. $bg .'>' . $icon . '<div class="blog-date"><span class="month">'. $month .'</span><span class="date">'. $date .'</span></div><a class="hover-effect" href="' . get_permalink( $post['ID'] ) . '">';

            $thumbnail .= $image;

            $thumbnail .= '</a></div>';

            $author_name = get_the_author_meta( 'display_name', $post['post_author'] );
            $author_link = get_the_author_meta( 'url', $post['post_author'] );

            $categories = get_the_category( $post['ID'] );
            // var_dump( $categories );
            
            $cat = '';
            for ($i=0; $i < count($categories); $i++) { 
                $cat .= ' ' . $categories[$i]->name;
                if( $i != count($categories) - 1 ) {
                    $cat .= ',';
                }
            }
            $output .= '<div class="col-md-4">
                            ' . $thumbnail . '
                            <div class="blog-content">
                                <h3><a href="' . get_permalink( $post['ID'] ) . '">' . $title . '</a></h3>
                                <p>' . __( 'By', 'offshorecore' ) . ' <a href="' . esc_url( $author_link ) . '">' . esc_html( $author_name ) . '</a> ' . __( 'in', 'offshorecore' ) . ' ' . esc_html( $cat ) . '</p>
                            </div>
                        </div>';
        }

        $output .= '</div>';

        return $output;

    }

    add_shortcode( 'offshore_recent_posts', 'offshore_recent_posts_shortcode' );

}

function offshore_vc_recent_posts() {
    
    $params = array();
    foreach ( get_post_types( '', 'names' ) as $post_type ) {
        $params[ $post_type ] = $post_type;
    }
    vc_map( array(
        'name'        => __( 'Recent Posts', 'offshorecore' ),
        'description' => __( 'Add recent posts', 'offshorecore' ),
        'base'        => 'offshore_recent_posts',
        'class'       => 'offshore',
        'icon'        => 'fa fa-newspaper-o',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'params'      => array(
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'class'       => '',
                'heading'     => __( 'Post Type', 'offshorecore' ),
                'param_name'  => 'type',
                'value'       => $params,
                'description' => __( 'Select post type.', 'offshorecore' )
            )
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_recent_posts' );
}