<?php

if ( !function_exists( 'offshore_recent_services_shortcode' ) ) {

    function offshore_recent_services_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(

            array(

                'type' => 'services',
                'posts_per_page' => 3,
                'space' => 50

            ), $atts));

        $output = '<div class="row offshore-recent-services">';

        $args = array(
            'post_type' => $type,
            'posts_per_page' => $posts_per_page,
        );

        // the query
        $the_query = new WP_Query( $args );

        $i = 0;

        if ( $the_query->have_posts() ) {

            while ( $the_query->have_posts() ) {

                $the_query->the_post();

                $i++;

                $id = get_the_ID();

                $thumbnail_id = get_post_thumbnail_id( $id );
                $thumbnail_meta = wp_get_attachment_metadata( $thumbnail_id );
                $image_url = wp_get_attachment_image_src( $thumbnail_id, 'full',  true );

                // var_dump( $thumbnail_meta );

                if( isset( $thumbnail_meta['image_meta'] ) ){
                    $image_title = isset( $thumbnail_meta['image_meta']['title'] ) ? $thumbnail_meta['image_meta']['title'] : '';
                } else {
                    $image_title = '';
                }

                $output .= '<div class="col-md-4"><div class="hover-effect"><img src="' . $image_url[0] . '" title="' . $image_title . '" style="" /></div>';

                $output .= '<h4 class="services-title-one subtitle">' . get_the_title() . '</h4>';

                $output .= wpautop( wp_trim_words( get_the_excerpt(), 15 ) );
                
                $output .= '<a class="link" href="' . get_permalink() . '" style="background: none;">' . __( 'Read More', 'offshorecore' ) . '</a></div>';

                if( $i % 3 == 0 ) {
                    $output .= '<div class="clearfix" style="display:block;clear:both;overflow:hidden;height:' . esc_attr( $space ) . 'px"></div>';
                }

            }

            wp_reset_postdata();

        } else {

            $output .= '<p>' . __( 'Sorry, no posts matched your criteria.', 'offshorecore' ) . '</p>';

        }

        $output .= '</div>';

        return $output;

    }

    add_shortcode( 'offshore_recent_services', 'offshore_recent_services_shortcode' );

}

function offshore_vc_recent_services() {
    
    vc_map( array(
        'name'        => __( 'Recent Services', 'offshorecore' ),
        'description' => __( 'Add recent services', 'offshorecore' ),
        'base'        => 'offshore_recent_services',
        'class'       => 'offshore',
        'icon'        => 'fa fa-newspaper-o',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'params'      => array(
            array(
                'type'        => 'textfield',
                'heading'     => __( 'Number of Posts', 'offshorecore' ),
                'param_name'  => 'posts_per_page',
                'description' => __( 'Enter the number of posts to display.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textfield',
                'heading'     => __( 'Space between rows', 'offshorecore' ),
                'param_name'  => 'space',
                'description' => __( 'Enter the amout of height between rows in pixels (default 50).', 'offshorecore' ),
                'value' => '50'
            )
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_recent_services' );
}