<?php

if ( !function_exists( 'offshore_section_shortcode' ) ) {

    function offshore_section_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(

            array(

                'container' => '',
                'background_color' => '',
                'text_center' => 'no',
                'padding_top' => '',
                'padding_bottom' => '',
                'class' => '',

            ), $atts));

        if( $background_color != '' ){
            $background_color = 'background-color:' . $background_color . ';';
        }
        if( $padding_top != '' ){
            $padding_top = 'padding-top:' . $padding_top . 'px;';
        }
        if( $padding_bottom != '' ){
            $padding_bottom = 'padding-bottom:' . $padding_bottom . 'px;';
        }
        if( $text_center == 'yes' ){
            $class .= ' text-center';
        }

        $style = ' style="' . $background_color . $padding_top . $padding_bottom . '"';

        $output = '<section class="'. $class .'"' . $style . '>';

        if( $container == 'fixed' ){
            $output .= '<div class="container">' . do_shortcode( $content ) . '</div>';
        } elseif( $container == 'fluid' ) {
            $output .= '<div class="container-fluid">' . do_shortcode( $content ) . '</div>';
        } else {
            $output .= do_shortcode( $content );
        }

        $output .= '</section>';

        return $output;

    }

    add_shortcode( 'offshore_section', 'offshore_section_shortcode' );

}

function offshore_vc_section() {
    vc_map( array(
        'name'        => __( 'Section', 'offshorecore' ),
        'description' => __( 'Add section', 'offshorecore' ),
        'base'        => 'offshore_section',
        'class'       => 'offshore',
        'icon'        => 'fa fa-table',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'content_element' => true,
        'show_settings_on_create' => true,
        'is_container' => true,
        'js_view' => 'VcColumnView',
        'params'      => array(
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'class'       => '',
                'heading'     => __( 'Container', 'offshorecore' ),
                'param_name'  => 'container',
                'value'       => array(
                    __( 'None', 'offshorecore' ) => 'none',
                    __( 'Fixed', 'offshorecore' ) => 'fixed',
                    __( 'Fluid', 'offshorecore' ) => 'fluid',

                ),
                'description' => __( 'Select the type of container.', 'offshorecore' )
            ),
            array(
                'type' => 'colorpicker',
                'heading' => __( 'Section Background Color', 'offshorecore' ),
                'param_name' => 'background_color',
                'value' => '',
                'description' => __( 'Set the background color for this section.', 'offshorecore' )
            ),
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'class'       => '',
                'heading'     => __( 'Center Text', 'offshorecore' ),
                'param_name'  => 'text_center',
                'value'       => array(
                    __( 'No', 'offshorecore' ) => 'no',
                    __( 'Yes', 'offshorecore' ) => 'yes'
                ),
                'description' => __( 'Center align text under this section.', 'offshorecore' )
            ),
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Section Padding Top', 'offshorecore' ),
                'param_name'  => 'padding_top',
                'description' => __( 'Insert top padding value in pixels. Eg. 10.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Section Padding Bottom', 'offshorecore' ),
                'param_name'  => 'padding_bottom',
                'description' => __( 'Insert bottom padding value in pixels. Eg. 10.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Section Custom Class', 'offshorecore' ),
                'param_name'  => 'class',
                'description' => __( 'Insert custom class for this section.', 'offshorecore' ),
                'value' => ''
            ),
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_section' );
}

function offshore_section_parent() {
    if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
        class WPBakeryShortCode_offshore_section extends WPBakeryShortCodesContainer {
        }
    }
}
add_action( 'plugins_loaded', 'offshore_section_parent' );