<?php

if ( !function_exists( 'offshore_service_box_shortcode' ) ) {

    function offshore_service_box_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(

            array(

                'icon' => '',
                'icon_color' => '#FFDA44',
                'icon_size' => '48',
                'image' => '',
                'image_alt' => __( 'service', 'offshorecore' ),
                'title' => __( 'Service', 'offshorecore' ),

            ), $atts));

        $picture = '';

        $output = '<div class="services-other"><div class="img-box">';

        if( $icon != '' ){
            $picture = '<span class="fa '. $icon .'" style="font-size:'. $icon_size .'px;line-height: 1.6;"></span>';
        }

        if( $image != '' ){
            if( is_numeric( $image ) ){
                $attachment = wp_get_attachment_image_src( $image,'full' );
                $image = $attachment[0];
            }
            $picture = '<img src="'. $image .'" alt="'. $image_alt .'" />';
        }

        $output .= $picture . '</div><div class="services-info">
                        <h4 class="services-title-one subtitle">' . esc_html( $title ) . '</h4>
                        ' . wpautop( do_shortcode( $content ) ) . '
                    </div>';

        $output .= '</div>';

        return $output;

    }

    add_shortcode( 'offshore_service_box', 'offshore_service_box_shortcode' );

}

function offshore_vc_service_box() {
    vc_map( array(
        'name'        => __( 'Service Box', 'offshorecore' ),
        'description' => __( 'Add service box.', 'offshorecore' ),
        'base'        => 'offshore_service_box',
        'class'       => 'offshore',
        'icon'        => 'fa fa-cube',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'params'      => array(
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Box Title', 'offshorecore' ),
                'param_name'  => 'title',
                'description' => __( 'Insert the title text.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textarea_html',
                'admin_label' => true,
                'heading'     => __( 'Description', 'offshorecore' ),
                'param_name'  => 'content',
                'description' => __( 'Insert service description.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type' => 'iconpicker',
                'heading' => __( 'Box Icon', 'offshorecore' ),
                'param_name' => 'icon',
                'value' => '', // default value to backend editor admin_label
                'settings' => array(
                    'emptyIcon' => true,
                    'iconsPerPage' => 4000
                ),
                'description' => __( 'Select the required icon.', 'offshorecore' ),
            ),
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Icon Size', 'offshorecore' ),
                'param_name'  => 'icon_size',
                'description' => __( 'Insert icon size in pixels.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type' => 'colorpicker',
                'admin_label' => true,
                'heading' => __( 'Icon Color', 'offshorecore' ),
                'param_name' => 'icon_color',
                'value' => '',
                'description' => __( 'Set icon color.', 'offshorecore' )
            ),
            array(
                'type'        => 'attach_image',
                'class'       => '',
                'heading'     => __( 'Box Image', 'offshorecore' ),
                'param_name'  => 'image',
                'description' => __( 'Select the image which will be on the left of the box. This overrides box icon.', 'offshorecore' ),
                'value' => ''
            )
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_service_box' );
}