<?php

class Offshore_Slider {

    function __construct() {

        add_shortcode( 'offshore_slider', array( $this, 'parent' ) );
        add_shortcode( 'offshore_slide', array( $this, 'child' ) );
        if( has_action( 'vc_before_init' ) ){
            add_action( 'vc_before_init', array( $this, 'vc_parent' ) );
            add_action( 'vc_before_init', array( $this, 'vc_child' ) );
        }

    }

    function parent( $atts, $content = '' ) {
        
        $content = do_shortcode( $content );

        $output = sprintf( '<div class="service-slider"><ul class="slides">%s</ul></div>', $content );

        $output = preg_replace('~<br />~', '', $output); // Remove <br> tags

        return $output;
    }

    function child( $atts, $content = '' ) {

        extract( shortcode_atts(

            array(

                'image' => '',

            ), $atts));

        if( is_numeric( $image ) ){
            $attachment = wp_get_attachment_image_src( $image,'full' );
            $image = $attachment[0];
        }

        $output = sprintf( '<li>
                                <img src="%1$s" alt="%2$s">
                                <div class="slider-caption">
                                    <p>%2$s</p>
                                </div>
                            </li>', esc_url( $image ), do_shortcode( $content ) );

        return $output;
    }

    function vc_parent() {
        vc_map( array(
            'name'        => __( 'Slider', 'offshorecore' ),
            'description' => __( 'Add slider.', 'offshorecore' ),
            'base'        => 'offshore_slider',
            'class'       => 'offshore',
            'icon'        => 'fa fa-sliders',
            'category'    => __( 'Offshore', 'offshorecore' ),
            'content_element' => true,
            'show_settings_on_create' => false,
            'is_container' => true,
            'as_parent'       => array( 'only' => 'offshore_slide' ),
            'params'      => array(
            ),
            'js_view' => 'VcColumnView'
        ) );
    }

    function vc_child() {
        vc_map( array(
            'name'        => __( 'Slide', 'offshorecore' ),
            'description' => __( 'Add a slide', 'offshorecore' ),
            'base'        => 'offshore_slide',
            'class'       => 'offshore',
            'icon'        => 'fa fa-sliders',
            'category'    => __( 'Offshore', 'offshorecore' ),
            'content_element' => true,
            'as_child'       => array( 'only' => 'offshore_sliders' ),
            'params'      => array(
                array(
                    'type'        => 'attach_image',
                    'class'       => '',
                    'heading'     => __( 'Slide Image', 'offshorecore' ),
                    'param_name'  => 'image',
                    'description' => __( 'Upload slide image.', 'offshorecore' ),
                    'value' => ''
                ),
                array(
                    'type'        => 'textarea_html',
                    'admin_label' => true,
                    'heading'     => __( 'Caption', 'offshorecore' ),
                    'param_name'  => 'content',
                    'description' => __( 'Insert caption.', 'offshorecore' ),
                    'value' => ''
                )
            )
        ) );
    }

}

new Offshore_Slider();

function offshore_slider_parent_child() {
    if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
        class WPBakeryShortCode_offshore_slider extends WPBakeryShortCodesContainer {
        }
    }
    if ( class_exists( 'WPBakeryShortCode' ) ) {
        class WPBakeryShortCode_offshore_slide extends WPBakeryShortCode {
        }
    }
}
add_action( 'plugins_loaded', 'offshore_slider_parent_child' );