<?php

if ( !function_exists( 'offshore_team_member_shortcode' ) ) {

    function offshore_team_member_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(

            array(

                'image' => '',
                'name' => '',
                'designation' => '',
                'facebook' => '',
                'twitter' => '',
                'googleplus' => '',
                'linkedin' => '',
                'instagram' => ''

            ), $atts));

        $picture = '';

        $output = '<div class="text-center"><div class="img-hover-effect text-center">';

        if( $image != '' ){
            if( is_numeric( $image ) ){
                $attachment = wp_get_attachment_image_src( $image,'full' );
                $image = $attachment[0];
            }
            $image = '<img src="'. esc_url( $image ) .'" alt="'. esc_attr( $name ) .'" />';
        }

        $social_links = '';
        if( $facebook != '' || $twitter != '' || $googleplus != '' || $linkedin != '' || $instagram != '' ) {
            $social_links = '<div class="social-links">';
            if( $facebook != '' ){
                $social_links .= '<a href="' . esc_url( $facebook ) . '"><i class="fa fa-facebook"></i></a>';
            }
            if( $twitter != '' ){
                $social_links .= '<a href="' . esc_url( $twitter ) . '"><i class="fa fa-twitter"></i></a>';
            }
            if( $googleplus != '' ){
                $social_links .= '<a href="' . esc_url( $googleplus ) . '"><i class="fa fa-google-plus"></i></a>';
            }
            if( $linkedin != '' ){
                $social_links .= '<a href="' . esc_url( $linkedin ) . '"><i class="fa fa-linkedin"></i></a>';
            }
            if( $instagram != '' ){
                $social_links .= '<a href="' . esc_url( $instagram ) . '"><i class="fa fa-instagram"></i></a>';
            }
            $social_links .= '</div>';
        }

        $output .= $image . $social_links . '</div><h4 class="subtitle" style="margin-bottom:5px;">' . esc_html( $name ) . '</h4><p>' . esc_html( $designation ) . '</p></div>';

        return $output;

    }

    add_shortcode( 'offshore_team_member', 'offshore_team_member_shortcode' );

}

function offshore_vc_team_member() {
    vc_map( array(
        'name'        => __( 'Team Member', 'offshorecore' ),
        'description' => __( 'Add team member', 'offshorecore' ),
        'base'        => 'offshore_team_member',
        'class'       => 'offshore',
        'icon'        => 'fa fa-user',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'params'      => array(
            array(
                'type'        => 'attach_image',
                'class'       => '',
                'heading'     => __( 'Member Image', 'offshorecore' ),
                'param_name'  => 'image',
                'description' => __( 'Select the image.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Name', 'offshorecore' ),
                'param_name'  => 'name',
                'description' => __( 'Insert member name.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textfield',
                'admin_label' => true,
                'heading'     => __( 'Designation', 'offshorecore' ),
                'param_name'  => 'designation',
                'description' => __( 'Insert designation.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textfield',
                'heading'     => __( 'Facebook Link', 'offshorecore' ),
                'param_name'  => 'facebook',
                'description' => __( 'Insert Facebook page/profile link.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textfield',
                'heading'     => __( 'Twitter Link', 'offshorecore' ),
                'param_name'  => 'twitter',
                'description' => __( 'Insert Twitter profile link.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textfield',
                'heading'     => __( 'Google+ Link', 'offshorecore' ),
                'param_name'  => 'google',
                'description' => __( 'Insert Google+ page/profile link.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textfield',
                'heading'     => __( 'LinkedIn Link', 'offshorecore' ),
                'param_name'  => 'linkedin',
                'description' => __( 'Insert LinkedIn page/profile link.', 'offshorecore' ),
                'value' => ''
            ),
            array(
                'type'        => 'textfield',
                'heading'     => __( 'Instagram Link', 'offshorecore' ),
                'param_name'  => 'instagram',
                'description' => __( 'Insert Instagram page/profile link.', 'offshorecore' ),
                'value' => ''
            ),
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_team_member' );
}