<?php

if ( !function_exists( 'offshore_testimonial_shortcode' ) ) {

    function offshore_testimonial_shortcode( $atts, $content = null ) {

        extract( shortcode_atts(

            array(

                'post_id' => '',
                'client_name' => '',
                'client_designation' => '',

            ), $atts));

        $output = '';

        if( $post_id != '' ){
            $post = get_post( $post_id );
            if( $post != '' ){
                $meta = get_post_meta( $post_id, 'offshore_options', true );

                if( is_object( $post ) ){
                    $content = do_shortcode( $post->post_content );
                }

                $output = '<div class="home-testimonials"><blockquote>' . $content . '</blockquote><h4 class="client-name">' . esc_html( $meta[ 'testimonial_name' ] ) . '</h4><p class="designation">' . esc_html( $meta[ 'testimonial_designation' ] ) . '</p></div>';
            } else {
                $output .= __( 'Sorry, testimonial does not exist.', 'offshorecore' );
            }
        } else {
            $output = '<div class="home-testimonials"><blockquote>' . do_shortcode( $content ) . '</blockquote><h4 class="client-name">' . esc_html( $client_name ) . '</h4><p class="designation">' . esc_html( $client_designation ) . '</p></div>';
        }

        return $output;

    }

    add_shortcode( 'offshore_testimonial', 'offshore_testimonial_shortcode' );

}

function offshore_vc_testimonial() {
    $options = array( __( 'Select Testimonial', 'offshorecore' ) => '' );
    foreach ( get_posts( array( 'posts_per_page'   => -1, 'post_type' => 'testimonial', ) ) as $post ) {
       $options[ $post->post_title ] = $post->ID;
    }
    vc_map( array(
        'name'        => __( 'Testimonial', 'offshorecore' ),
        'description' => __( 'Add testimonial', 'offshorecore' ),
        'base'        => 'offshore_testimonial',
        'class'       => 'offshore',
        'icon'        => 'fa fa-quote-left',
        'category'    => __( 'Offshore', 'offshorecore' ),
        'params'      => array(
            array(
                'type'        => 'dropdown',
                'admin_label' => true,
                'class'       => '',
                'heading'     => __( 'Testimonial', 'offshorecore' ),
                'param_name'  => 'post_id',
                'value'       => $options,
                'description' => __( 'Select the testimonial to display.', 'offshorecore' )
            ),
        )
    ) );
}
if( has_action( 'vc_before_init' ) ){
    add_action( 'vc_before_init', 'offshore_vc_testimonial' );
}