<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package WordPress
 * @subpackage Twenty_Sixteen
 * @since Twenty Sixteen 1.0
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php echo esc_url( get_bloginfo( 'pingback_url' ) ); ?>">
	<?php endif; ?>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
	<!-- Preloader -->
	<div class="loader-wrapper">
        <div class="sk-cube-grid">
            <div class="sk-cube sk-cube1"></div>
            <div class="sk-cube sk-cube2"></div>
            <div class="sk-cube sk-cube3"></div>
            <div class="sk-cube sk-cube4"></div>
            <div class="sk-cube sk-cube5"></div>
            <div class="sk-cube sk-cube6"></div>
            <div class="sk-cube sk-cube7"></div>
            <div class="sk-cube sk-cube8"></div>
            <div class="sk-cube sk-cube9"></div>
        </div>
    </div>

    <!-- Page Wrapper -->
    <div class="wrapper">

        <!-- Header Section -->
        <header>
            <div class="header-area">

                <!-- Top Contact Info -->
                <div class="row logo-top-info">
                    <div class="container">
                        <div class="col-md-3 logo">
                            <!-- Main Logo -->
                            <a href="index.html"><?php twentysixteen_the_custom_logo(); ?></a>
                            <!-- Responsive Toggle Menu -->
                            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar">
                                <span class="sr-only"> Main Menu </span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>
                        </div>
                        <div class="col-md-9 top-info-social">
                            <div class="pull-right">
                                <div class="top-info">
                                    <div class="call">
                                        <h3> CALL US </h3>
                                        <p> 1800 425 4646 </p>
                                    </div>
                                    <div class="email">
                                        <h3> EMAIL US </h3>
                                        <p> info@offshoreinsustry.com </p>
                                    </div>
                                    <div class="market">
                                        <h3> MARKET </h3>
                                        <p> 256.78 <span class="forex"> <i class="fa fa-caret-up" aria-hidden="true"></i> + 4.26 </span> </p>
                                    </div>
                                </div>
                                <div class="social">
                                    <ul class="social-icons">
                                        <li><a href="#"><i class="fa fa-facebook" aria-hidden="true"></i></a></li>
                                        <li><a href="#"><i class="fa fa-twitter" aria-hidden="true"></i></a></li>
                                        <li><a href="#"><i class="fa fa-linkedin" aria-hidden="true"></i></a></li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
				<?php  create_bootstrap_menu("primary"); ?>
				
                <!-- Main Navigation Section -->
                <!-- <nav id="navbar" class="collapse navbar-collapse main-menu">
                    <div class="container">
                        <ul class="main-menu">
                            <li class="active"> <a href="index.html"> Home </a></li>
                            <li class="dropdown"> <a href="#" data-toggle="dropdown"> About
                                <i class="fa fa-chevron-down dropdown-toggle"> </i>  </a>
                                <ul>
                                    <li> <a href="about.html"> The Company </a> </li>
                                    <li> <a href="mission.html"> Vision &amp; Mission </a> </li>
                                    <li> <a href="approach.html"> Our Approach </a> </li>
                                    <li> <a href="leaders.html"> Our Team </a> </li>
                                </ul>
                            </li>
                            <li class="dropdown"><a href="#" data-toggle="dropdown"> Services
                                <i class="fa fa-chevron-down dropdown-toggle"> </i>  </a>
                                <ul>
                                    <li> <a href="services.html"> Services List </a> </li>
                                    <li> <a href="services-list.html"> Services List Fullwidth </a> </li>
                                    <li> <a href="services-single.html"> Services Single </a> </li>
                                    <li> <a href="services-full-width.html"> Services Full Width </a> </li>
                                </ul>
                            </li>
                            <li><a href="technology.html"> Technology </a> </li>
                            <li><a href="blog.html"> News &amp; Media </a> </li>
                            <li class="dropdown"> <a href="#" data-toggle="dropdown"> Pages
                                <i class="fa fa-chevron-down dropdown-toggle"> </i>  </a>
                                <ul>
                                    <li> <a href="blog.html"> Blog </a> </li>
                                    <li> <a href="blog-single.html"> Blog Single </a> </li>
                                    <li> <a href="careers-single.html"> Careers Single </a> </li>
                                    <li> <a href="shortcodes.html"> Shortcodes </a> </li>
                                    <li> <a href="404.html"> 404 page </a> </li>
                                    <li> <a href="blank-page.html"> Blank Page </a> </li>
                                </ul>
                            </li>
                            <li><a href="careers.html"> CAREERS </a> </li>
                            <li><a href="contact.html"> CONTACT </a> </li>
                        </ul>
                    </div>
                </nav> -->
            </div>
        </header>

		<!-- Main Content Section -->
        <main class="main">
