<?php

if ( post_password_required() ) { ?>

    <p class="nocomments"><?php esc_html_e( 'This post is password protected. Enter the password to view comments.', 'offshore' ); ?></p>
    <?php return;

}

if ( have_comments() ) { 

    offshore_comments_before();

    ?>
    
    <h2 class="title-2 text-center"><?php $comments_count = get_comments_number(); printf( esc_html( _n( '1 Comment', '%1$s Comments',  $comments_count, 'offshore' ) ),  $comments_count ); 
        ?></h2>

    <nav class="navigation clearfix">
        <ul class="pager">
            <li class="previous"><?php previous_comments_link(); ?></li>
            <li class="next"><?php next_comments_link(); ?></li>
        </ul>
    </nav>

    <?php wp_list_comments('callback=offshore_comments_markup&end-callback=offshore_comments_markup_end'); ?>

    <!-- navigation here -->

 <?php } // ends have_comments()

if ( !comments_open() && '0' != get_comments_number() && post_type_supports( get_post_type(), 'comments' ) && !is_page() ) {

        // if it's not a page, display comments are closed message ?>
        <p><?php esc_html_e( 'Comments are closed.', 'offshore' ); ?></p>

<?php }

if ( comments_open() ) { ?>

<?php

    $offshore_comment_form = '<div id="comment-message" class="col-md-12">';
    $offshore_comment_form .= '<textarea class="form-control" id="comment" name="comment" aria-required="true" placeholder="' . esc_html__( 'Message', 'offshore' ) . '"></textarea>';
    $offshore_comment_form .= '</div>';

    echo '</div><div class="comment-box">';

        comment_form( 
            array( 
                'class_form'            =>  'commentform row',
                'title_reply'           =>  esc_html__( 'Add Comment', 'offshore' ),
                'title_reply_to'        =>  esc_html__( 'Reply to %s', 'offshore' ),
                'label_submit'          =>  esc_html__( 'Add Comment', 'offshore' ),
                'class_submit'          =>  'btn btn-block',
                'comment_field'         =>  $offshore_comment_form,
                'comment_notes_before'  =>  '',
                'comment_notes_after'   =>  '',
                'fields'                =>  array(
                    'author' => '<div id="comment-name" class="col-md-4">
                        <input type="text" id="author" class="form-control" placeholder="' . esc_html__( 'Name', 'offshore' ) . '" name="author" value="' . esc_attr( $commenter['comment_author'] ) . '" />
                    </div>',
                    'email' => '<div id="comment-email" class="col-md-4">
                        <input type="email" id="email" class="form-control" placeholder="' . esc_html__( 'Email', 'offshore' ) . '" name="email"  value="' . esc_attr(  $commenter['comment_author_email'] ) . '" />
                    </div>',
                    'url' => '<div id="comment-url" class="col-md-4">
                        <input type="url" id="url" class="form-control" placeholder="' . esc_html__( 'Website', 'offshore' ) . '" name="url" value="' . esc_attr( $commenter['comment_author_url'] ) . '">
                    </div>',
                )
            ) 
        ); 

    offshore_comments_after();

} // end comments_open() 

?>