<?php 
    if ( !function_exists( 'offshore_time_ago' ) ) {
        function offshore_time_ago( $type = 'post' ) {
            $d = 'comment' == $type ? 'get_comment_time' : 'get_post_time';
            return human_time_diff( $d( 'U' ), current_time( 'timestamp' ) ) . " " . esc_html__( 'ago','offshore' );
        }
    }
    if ( !function_exists( 'offshore_reply_icon' ) ) {
        function offshore_reply_icon( $link, $args, $comment, $post ){
            return str_replace( '> ', '><i class="fa fa-reply" aria-hidden="true"></i> ', $link );
        }
    }
    add_filter( 'comment_reply_link', 'offshore_reply_icon', 10, 4 );

    // this changes the output of the comments
    if ( !function_exists( 'offshore_comments_markup' ) ) {
        function offshore_comments_markup( $comment, $args, $depth ) {
            $GLOBALS['comment'] = $comment; 
            $child_class = '';
            if( $depth > 1 ) {
                $child_class = ' reply';
            }
            ?>
            <div <?php comment_class( 'comments-single' . $child_class ); ?> id="comment-<?php comment_ID(); ?>">
                <?php echo get_avatar( $comment, $size='76', $default='gravatar_default' ); ?>
                <h3><?php echo get_comment_author_link(); ?> <span><?php echo offshore_time_ago( 'comment' ); ?></span> </h3>
                <?php 
                    if ( $comment->comment_approved == '0' ) {
                        echo '<p><em class="comment-awaiting-moderation">' . esc_html__( 'Your comment is awaiting moderation.', 'offshore' ) . '</em></p>';
                    } else {
                        comment_text();
                    }
                ?>
                <?php if ( comments_open() ) {
                    if ( $depth < $args['max_depth'] ) { ?>
                        <?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'reply_text' => esc_html__( ' Reply', 'offshore' ), 'max_depth' => $args['max_depth'] ) ) ); ?>
                <?php } } ?>
            </div>
            <?php
        }
    }

    if ( !function_exists( 'offshore_comments_markup_end' ) ) {
        function offshore_comments_markup_end() {
            echo '';
        }
    }