<?php

/**
 * Meta generator
 * @since 1.0.0
 * @author Gautam Thapar
 * @uses wp_get_theme() 
 * returns a generator meta tag that is added in the header which pulls automatically from the theme version
 * (replaces the original method which was updating this generator tag manually)
 * generator tag is used for troubleshooting to identify what version of the theme people are using by looking at the source
 */
if ( !function_exists('offshore_generator') ) {
    function offshore_generator() {
        $theme = wp_get_theme();
        $offshore_version = '<meta name="generator" content="' . $theme['Name'] . ' ' . $theme['Version'] . '">';
        echo $offshore_version;
    }
}
add_action( 'wp_head', 'offshore_generator' );