<?php 
/**
 * Preloader HTML
 * @since 1.0.0
 * @author Gautam Thapar
 *
 * Adds preloader markup on every page
 */
if ( !function_exists('offshore_preloader') ) {
    function offshore_preloader() {
        echo '<!-- Preloader -->
    <div class="loader-wrapper">
        <div class="sk-cube-grid">
            <div class="sk-cube sk-cube1"></div>
            <div class="sk-cube sk-cube2"></div>
            <div class="sk-cube sk-cube3"></div>
            <div class="sk-cube sk-cube4"></div>
            <div class="sk-cube sk-cube5"></div>
            <div class="sk-cube sk-cube6"></div>
            <div class="sk-cube sk-cube7"></div>
            <div class="sk-cube sk-cube8"></div>
            <div class="sk-cube sk-cube9"></div>
        </div>
    </div>';
    }
}
add_action( 'offshore_body_top', 'offshore_preloader' );

/**
 * Preloader JS
 * @since 1.0.0
 * @author Gautam Thapar
 *
 * Adds necessary JS for preloader on every page
 */
if ( !function_exists('offshore_preloader_js') ) {
    function offshore_preloader_js() {
        echo '<script type="text/javascript">
(function ($) {
    "use strict";
    jQuery(document).ready(function () {
        //Preloader Effect  
        jQuery(window).load(function () {
            setTimeout(function () {
                jQuery("body").addClass("loaded");
            }, 500);
        });
    });
})(jQuery);
</script>' . PHP_EOL;
    }
}
add_action( 'wp_footer', 'offshore_preloader_js' );