<?php 

add_action( 'show_user_profile', 'offshore_extra_profile_fields' );
add_action( 'edit_user_profile', 'offshore_extra_profile_fields' );

function offshore_extra_profile_fields( $user ) { ?>

    <h3><?php esc_html_e( 'Offshore social profile information', 'offshore' ); ?></h3>

    <table class="form-table">

        <tr>
            <th><label for="facebook">Facebook</label></th>

            <td>
                <input type="text" name="facebook" id="facebook" value="<?php echo esc_attr( get_the_author_meta( 'offshore_facebook', $user->ID ) ); ?>" class="regular-text" /><br />
                <span class="description"><?php esc_html_e( 'Please enter your Facebook link.', 'offshore' ); ?></span>
            </td>
        </tr>

        <tr>
            <th><label for="twitter">Twitter</label></th>

            <td>
                <input type="text" name="twitter" id="twitter" value="<?php echo esc_attr( get_the_author_meta( 'offshore_twitter', $user->ID ) ); ?>" class="regular-text" /><br />
                <span class="description"><?php esc_html_e( 'Please enter your Twitter link.', 'offshore' ); ?></span>
            </td>
        </tr>

        <tr>
            <th><label for="google">Google+</label></th>

            <td>
                <input type="text" name="google" id="google" value="<?php echo esc_attr( get_the_author_meta( 'offshore_google', $user->ID ) ); ?>" class="regular-text" /><br />
                <span class="description"><?php esc_html_e( 'Please enter your Google+ link.', 'offshore' ); ?></span>
            </td>
        </tr>

        <tr>
            <th><label for="linkedin">LinkedIn</label></th>

            <td>
                <input type="text" name="linkedin" id="linkedin" value="<?php echo esc_attr( get_the_author_meta( 'offshore_linkedin', $user->ID ) ); ?>" class="regular-text" /><br />
                <span class="description"><?php esc_html_e( 'Please enter your LinkedIn link.', 'offshore' ); ?></span>
            </td>
        </tr>

        <tr>
            <th><label for="instagram">Instagram</label></th>

            <td>
                <input type="text" name="instagram" id="instagram" value="<?php echo esc_attr( get_the_author_meta( 'offshore_instagram', $user->ID ) ); ?>" class="regular-text" /><br />
                <span class="description"><?php esc_html_e( 'Please enter your Instagram link.', 'offshore' ); ?></span>
            </td>
        </tr>

    </table>
<?php }

add_action( 'personal_options_update', 'offshore_save_extra_profile_fields' );
add_action( 'edit_user_profile_update', 'offshore_save_extra_profile_fields' );

function offshore_save_extra_profile_fields( $user_id ) {

    if ( !current_user_can( 'edit_user', $user_id ) ) {
        return false;
    }

    update_user_meta( $user_id, 'offshore_facebook', sanitize_text_field( $_POST['facebook'] ) );
    update_user_meta( $user_id, 'offshore_twitter', sanitize_text_field( $_POST['twitter'] ) );
    update_user_meta( $user_id, 'offshore_google', sanitize_text_field( $_POST['google'] ) );
    update_user_meta( $user_id, 'offshore_linkedin', sanitize_text_field( $_POST['linkedin'] ) );
    update_user_meta( $user_id, 'offshore_instagram', sanitize_text_field( $_POST['instagram'] ) );
}