<?php 
    
    get_header();

    function offshore_career_terms( $type ) {
        $terms = get_the_terms( get_the_ID(), $type );
        if ( $terms && ! is_wp_error( $terms ) ) {
            echo '<p>';
            $i = 1; $count = count( $terms );
            foreach ( $terms as $term ) {
                echo $term->name;
                if( $i != $count ){
                    echo ', ';
                }
                $i++;
            }
            echo '</p>';
        }
    }

    function offshore_career_location_terms() {
        $states = get_the_terms( get_the_ID(), 'state' );
        $countries = get_the_terms( get_the_ID(), 'country' );
        $states_arr = array();
        $countries_arr = array();
        if ( $states && $countries && ! is_wp_error( $states ) && ! is_wp_error( $countries ) ) {
            foreach ( $states as $term ) {
                $states_arr[] = ucfirst( $term->name );
            }
            foreach ( $countries as $term ) {
                $countries_arr[] = ucfirst( $term->name );
            }
            $locations = array_combine( $states_arr, $countries_arr );
            if( $locations ){
                echo '<p>';
                $i = 1; $count = count( $locations );
                foreach ( $locations as $key => $term ) {
                    echo $key . ', ' . $term;
                    if( $i != $count ){
                        echo '| ';
                    }
                    $i++;
                }
                echo '</p>';
            } else {
                esc_html_e( 'Number of State & Country not equal.', 'offshore' );
            }
        } else {
            esc_html_e( 'Number of States & Countries not equal.', 'offshore' );
        }
    }

    $meta = get_post_meta( $post->ID, 'offshore_options', true );

    if( !isset( $meta['template'] ) ){
        $meta['template'] = 'global';
    }

    $column = 'col-md-9';

    if( 'full-width' == get_theme_mod( 'page_template', 'right-sidebar' ) && $meta['template'] == 'global' ){
        $column = 'col-md-12';
    } elseif( $meta['template'] == 'full-width' ) {
        $column = 'col-md-12';
    }

?>

    <!-- <section class="career-single"> -->
        <div class="row career-info">

            <div class="col-md-3 col-sm-6">
                <div class="career-box">
                    <i class="fa fa-file-pdf-o" aria-hidden="true"></i>
                    <h4><?php 
                            $department_text = get_theme_mod( 'department_text', esc_html__( 'DEPARTMENT', 'offshore' ) );
                            if( $department_text != '' ){
                                echo $department_text;
                            } else {
                                esc_html_e( 'DEPARTMENT', 'offshore' );
                            }
                        ?></h4>
                    <?php offshore_career_terms( 'department' ); ?>
                </div>
            </div>

            <div class="col-md-3 col-sm-6">
                <div class="career-box">
                    <i class="fa fa-file-pdf-o" aria-hidden="true"></i>
                    <h4><?php 
                            $location_text = get_theme_mod( 'location_text', esc_html__( 'LOCATION', 'offshore' ) );
                            if( $location_text != '' ){
                                echo $location_text;
                            } else {
                                esc_html_e( 'LOCATION', 'offshore' );
                            }
                        ?></h4>
                    <?php offshore_career_location_terms(); ?>
                </div>
            </div>

            <div class="col-md-3 col-sm-6">
                <div class="career-box">
                    <i class="fa fa-file-pdf-o" aria-hidden="true"></i>
                    <h4><?php 
                            $education_text = get_theme_mod( 'education_text', esc_html__( 'EDUCATION', 'offshore' ) );
                            if( $education_text != '' ){
                                echo $education_text;
                            } else {
                                esc_html_e( 'EDUCATION', 'offshore' );
                            }
                        ?></h4>
                    <?php offshore_career_terms( 'education' ); ?>
                </div>
            </div>

            <div class="col-md-3 col-sm-6">
                <div class="career-box">
                    <i class="fa fa-file-pdf-o" aria-hidden="true"></i>
                    <h4><?php 
                            $experience_text = get_theme_mod( 'experience_text', esc_html__( 'EXPERIENCE', 'offshore' ) );
                            if( $experience_text != '' ){
                                echo $experience_text;
                            } else {
                                esc_html_e( 'EXPERIENCE', 'offshore' );
                            }
                        ?></h4>
                    <?php offshore_career_terms( 'experience' ); ?>
                </div>
            </div>
        </div>
    <!-- </section> -->

    <div class="row">

        <?php 
            if( 'left-sidebar' == get_theme_mod( 'page_template', 'right-sidebar' ) && $meta['template'] == 'global' ){
                get_sidebar();
            } elseif( $meta['template'] == 'left-sidebar' ) {
                get_sidebar();
            }

            if( 'no-sidebar' == get_theme_mod( 'page_template', 'right-sidebar' ) && $meta['template'] == 'global' ) {
                $column = 'col-md-12';
            } elseif( $meta['template'] == 'no-sidebar' ) {
                $column = 'col-md-12';
            }
        ?>

        <div class="<?php echo $column; ?> content">
            <?php 

                offshore_content_top();

                get_template_part( 'parts/content', 'career' );

                offshore_content_bottom();

            ?>
        </div>

        <?php 
            if( 'right-sidebar' == get_theme_mod( 'page_template', 'right-sidebar' ) && $meta['template'] == 'global' ) {
                get_sidebar();
            } elseif( $meta['template'] == 'right-sidebar' ) {
                get_sidebar();
            }
        ?>

    </div>

<?php 

offshore_content_after();

get_footer();

?>