<?php 
    
    get_header();

    $meta = get_post_meta( $post->ID, 'offshore_options', true );

    if( !isset( $meta['template'] ) ){
        $meta['template'] = 'global';
    }

    $column = 'col-md-9';

    if( 'full-width' == get_theme_mod( 'page_template', 'right-sidebar' ) && $meta['template'] == 'global' ){
        $column = 'col-md-12';
    } elseif( $meta['template'] == 'full-width' ) {
        $column = 'col-md-12';
    }

?>
    <div class="row">

        <?php 
            if( 'left-sidebar' == get_theme_mod( 'page_template', 'right-sidebar' ) && $meta['template'] == 'global' ){
                get_sidebar();
            } elseif( $meta['template'] == 'left-sidebar' ) {
                get_sidebar();
            }

            if( 'no-sidebar' == get_theme_mod( 'page_template', 'right-sidebar' ) && $meta['template'] == 'global' ) {
                $column = 'col-md-12';
            } elseif( $meta['template'] == 'no-sidebar' ) {
                $column = 'col-md-12';
            }
        ?>

        <div class="<?php echo $column; ?> content">

            <?php 

                offshore_content_top();

                get_template_part( 'parts/content', 'post' );

                offshore_content_bottom();

            ?>
                
        </div>

        <?php 
            if( 'right-sidebar' == get_theme_mod( 'page_template', 'right-sidebar' ) && $meta['template'] == 'global' ) {
                get_sidebar();
            } elseif( $meta['template'] == 'right-sidebar' ) {
                get_sidebar();
            }
        ?>

    </div>

<?php 

offshore_content_after();

get_footer(); 

?>